# Checks IP access settings - disable subsequent PerlHandlers if client IP blocked
# $Id: lonipcheck.pm,v 1.1 2008/09/05 17:43:31 raeburn Exp $
#
# Copyright Michigan State University Board of Trustees
#
# This file is part of the LearningOnline Network with CAPA (LON-CAPA).
#
# LON-CAPA is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# LON-CAPA is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with LON-CAPA; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# /home/httpd/html/adm/gpl.txt
#
# http://www.lon-capa.org/
#

use strict;
package Apache::lonipcheck;
use Apache::lonnet;
use Apache::lonlocal;
use Apache::loncommon();
use Apache::Constants qw(:common :http :methods);

sub ip_access_check {
    my $symb=$env{'request.symb'};
    if ($env{'request.state'} ne "construct") {
        my $idacc = &Apache::lonnet::EXT('resource.0.acc',$symb);
        my $allowed=&Apache::loncommon::check_ip_acc($idacc);
        if (!$allowed) {
            return('INVALID_ACCESS',
                   '<h1>'.&mt('Not open to be viewed').'</h1>'.
                   &mt("This resource can not be accessed from your location."));

        }
    }
    return ('OPEN');
}

sub handler {
    my ($r)=@_;
    if (&Apache::lonnet::allowed('bre',$r->uri) eq 'F') {
	return DECLINED;
    }
    my ($status,$msg)=&ip_access_check();
    if ($status ne 'OPEN') {
	$r->set_handlers('PerlHandler'=>undef);
	&Apache::loncommon::content_type($r,'text/html');
	$r->send_http_header;
	return OK if $r->header_only;
	my $start_page =
	    &Apache::loncommon::start_page('Not Open',undef,
					   {'bgcolor'        => '#FFFFFF',
					    'force_register' => 1,});
	my $end_page = &Apache::loncommon::end_page();
	$r->print($start_page.$msg.$end_page);

	return OK;
    }
    return DECLINED;
}
1;
