# The LearningOnline Network with CAPA
# French Localization Lexicon
#
# $Id: fr.pm,v 1.22 2011/05/27 14:39:56 bisitz Exp $
#
# Copyright Michigan State University Board of Trustees
#
# This file is part of the LearningOnline Network with CAPA (LON-CAPA).
#
# LON-CAPA is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# LON-CAPA is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with LON-CAPA; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# /home/httpd/html/adm/gpl.txt
#
# http://www.lon-capa.org/
#
######################################################################
######################################################################


package Apache::localize::fr;
use base qw(Apache::localize);

%Lexicon=('_AUTO' => 1,

'char_encoding'=> 'UTF-8',
'language_code'=> 'fr',
'date_locale'  =>
      '$weekday, $day. $month $year, $twentyfour:$minutes:$seconds hs',
'date_months'  => 'Jan,Fev,Mar,Avr,Mai,Juin,Juil,Aou,Sept,Oct,Nov,Dec',
'date_days'    => 'Dim,Lun,Mar,Mer,Jeu,Ven,Sam',
'date_am' => 'matin',
'date_pm' => 'soir',
'textual_remote_display' => 'on',
'htmlarea_lang' => 'fr',

   'Arabic - UTF'
=> 'ﺎﻠﻋﺮﺒﻳﺓ - UTF',

   'German - UTF'
=> 'Deutsch - UTF',

   'English - UTF'
=> 'English - UTF',

   'Spanish (Castellan) - UTF'
=> 'español (castellano) - UTF',

   'Persian - UTF'
=> 'ﺍیﺭﺎﻧی - UTF',

   'French - UTF'
=> 'français - UTF',

   'Hebrew - UTF'
=> 'עברית - UTF',

   'Japanese - UTF'
=> '日本語 - UTF',

   'Portuguese - UTF'
=> 'Português - UTF',

   'Russian - UTF'
=> 'Русский - UTF',

   'Turkish - UTF'
=> 'türkçe - UTF',

   'Chinese Simplified - UTF'
=> '简体中文 - UTF',

   'Swedish Chef - UTF'
=> 'Swedish Chef - UTF',

   'Domain'
=> 'Domaine',

   'Server'
=> 'Serveur',

   'Load'
=> 'Charge du Serveur',

   'User Load'
=> 'Charge utilisateurs',

   'Help'
=> 'Aide',

   'Log in'
=> 'Ouverture de session',

   'Username'
=> "Nom d'utilisateur",

   'Password'
=> 'Mot de passe',

   'choose'
=> 'choisir',

   'enter'
=> 'entrer',

   'view'
=> 'Visualiser',

   'calendar'
=> 'calendrier',

   'prefer-'
=> 'préfer-',

   'ences'
=> 'ences',

   'role'
=> 'rôle',

   'course'
=> 'cours',

   'Course'
=> 'Cours',

   'Section/Group'
=> 'Section/Groupe',

   'today'
=> "Aujourd'hui",

   'last week'
=> 'semaine dernière',

   'last month'
=> 'mois dernier',

   'last three months'
=> 'trois derniers mois',

   'last six months'
=> 'six dernier mois',

   'last year'
=> 'an dernier',

   'Submit'
=> 'Soumettre',

   'Rename'
=> 'Renommer',

   'Save'
=> 'Enregistrer',

   'Done'
=> 'Tâche accomplie',

   'Select User'
=> 'Choisir Utilisateur',

   'Select Course'
=> 'Choisir Cours',

   'Changes will become active for your current session after'
=> 'Les changements prendront effet plus trad pour votre session actuelle',

   're-initializing course'
=> 'réinitialisation du cours',

   ', or the next time you log in.'
=> ', ou à la prochaine ouverture de session.',

   'Uploaded Document'
=> 'Document téléchargé vers serveur',

   'No content modifications yet.'
=> 'Contenu pas modifié encore.',

   'Part is not open to be viewed. It'
=> "Objet n'est pas ouvert pour être visualiser. Il",

   'Unable to determine if this resource is open due to network problems. Please try again later.'
=> 'Des problèmes de réseaux ne permettent pas de determiner si la ressource est accessible. Veuillez essayer plus tard SVP',

   'Note: it can take up to 10 minutes for changes to take effect for all users.'
=> "Note: l'application des changements à tous les utilisateurs peut prendre jusqu à 10 minutes.",

   'Language'
=> 'Langage',

   'Notes'
=> 'Notes',

   'Abstract'
=> 'Résumé',

   'Create a user or modify the roles and privileges of a user'
=> "Créer un utilisateur ou modifier les rôles et privilèges d'un utilisateur",

   'View course assessment statistics'
=> 'Visualisez les données statistiques des devoirs de cours', # 'Analyse statistiques des résultats des devoirs',

   'Set deadlines and other assessment parameters, as well as modify course environment'
=> "Définir les dates-limites et autres paramètres des devoirs, et aussi modifiez l'environnement de cours", # "Définir date-limite et autres parametres des devoirs ainsi que modifier l'environement du cours",

   'New Folder'
=> 'Nouveau Dossier',

   'Simple Page'
=> 'Page Simple',

   'Simple Problem'
=> 'Problème Simple',

   'Upload Document'
=> 'Télécharger Document vers serveur',

   'Search'
=> 'Rechercher',

   'Import'
=> 'Importer',

   'Main Course Documents'
=> 'Documents Principaux du Cours',

   'Supplemental Course Documents'
=> 'Documents Supplementaires du Cours',

   'Bulletin Board'
=> "Tableau d'affichage et discussion",

   'Special Documents'
=> 'Documents Speciaux',

   'create'
=> 'créer',

   'grades'
=> 'notes',

   'commu-'
=> 'commu-',

   'nication'
=> 'nication',

   'enroll'
=> 'inscrire',

   'navigate'
=> 'naviguer',

   'contents'
=> 'contenu',

   'Navigate Contents'
=> 'Naviguer Contenu',

   'Announcements and Calendar'
=> 'Annonces et Calendrier',

   'Author'
=> 'Auteur',

   'Change Your Preferences'
=> 'Changer Ses Préférences',

   'Choose the user role'
=> "Choisir le rôle d'utilisateur",

   'Co-Author'
=> 'Co-Auteur',

   'Communication and Messages'
=> 'Communication et Messages',

   'Course Coordinator'
=> 'Coordinateur du Cours',

   'Course Statistics and Charts'
=> 'Données statistiques du cours et diagrammes',

   'Course announcements and my calendar'
=> 'Calendrier et annonces de cours', # 'Annonces à propos du cours et Calendrier privé',

   'Create Users, Change User Privileges'
=> 'Créer Utilisateurs, Changer Privilèges des Utilisateurs',

   'Domain Coordinator'
=> 'Coordinateur de Domaine',

   'Enrollment Manager'
=> 'Gestion des Inscriptions',

   'Enter grades from check-out assessment resources'
=> "Ecrire les notes de contrôle des ressources d'évaluation", # "Assignez les notes de contrôle des ressources d'évaluation",

   'Exam Proctor'
=> 'Surveillant d Examens',

   'Exit LON-CAPA'
=> 'Sortir de LON-CAPA',

   'Grades Spreadsheet'
=> 'Tableur de Notes',

   'Grading'
=> 'Assigner des notes',

   'Instructor'
=> 'Enseignant',

   'Launch Remote Control'
=> 'Activer la Télécommande',

   'Main Menu'
=> 'Menu Principal',

   'Navigate Course Contents'
=> 'Naviguer le Contenu du Cours',

   'No Role, Cumulative Privileges'
=> 'Pas de rôle, privilèges cumulés',

   'Return to Last Location'
=> 'Retour en arrière',

   'Send and receive messages'
=> 'Envoi et reception de messages', # 'Envoyer et recevoir des messages',

   'Set my user preferences'
=> "Etablir mes préférences d'utilisateur", # "Configurez mes préférences d'utilisateur",

   'Student'
=> 'Etudiant(e)',

   'Switch to another user role'
=> "Changer à un autre rôle d'utilisateur",

   'Teaching Assistant'
=> 'Assistant de Cours',

   'Use or edit my bookmark collection'
=> 'Utilisez ou éditez ma collection de signet',

   'User Roles'
=> "Rôles d'utilsateurs",

   'Calculate course grades (Spreadsheet)'
=> 'Calculez les notes de cours (tableur)', # 'Calculez les notes du cours (Tableur)',

   'Enter the chatroom for the course'
=> 'Entrer le bavardoir (Chatroom) pour le cours', # 'Entrez le bavardoir (ChatRoom) du cours',

   'Navigate the table of contents for this course'
=> 'Naviguez la table des matières pour ce cours',

   'Syllabus'
=> "Programmes d'études",

   'View the course assessment progress chart'
=> 'Visualisez le diagramme de progrès des étudiants du cours', # 'Visualisez le diagramme de progrès des devoirs du cours',

   'Class Hours'
=> 'Heures de Cours',

   'Course Description'
=> 'Description du Cours',

   'Coursepack'
=> 'Paquet de cours',

   'Current Month'
=> 'Mois courant',

   'Deadlines'
=> 'Dates limites',

   'Fri'
=> 'Ven',

   'Grading Information'
=> 'Information concernant la correction des devoirs',

   'Helproom Hours'
=> "Heures d'ouverture de la salle d'aide",

   'Instructor Information'
=> 'Information enseignant',

   'Mon'
=> 'Lun',

   'Next Month'
=> 'Mois Prochain',

   'Office Hours'
=> "Heures d'ouverture du bureau de l'enseignant",

   'Prerequisites'
=> 'Choses nécessaires',

   'Previous Month'
=> 'Mois dernier',

   'Readings'
=> 'Lectures',

   'Sat'
=> 'Sam',

   'January'
=> 'Janvier',

   'February'
=> 'Février',

   'March'
=> 'Mars',

   'April'
=> 'Avril',

   'May'
=> 'Mai',

   'June'
=> 'Juin',

   'July'
=> 'Juillet',

   'August'
=> 'Aout',

   'September'
=> 'Septembre',

   'October'
=> 'Octobre',

   'November'
=> 'Novembre',

   'December'
=> 'Décembre',

   'Sun'
=> 'Dim',

   'Textbook'
=> 'Livre du Cours',

   'Thu'
=> 'Jeu',

   'Tue'
=> 'Mar',

   'Web Links'
=> 'Liens Hypertexte',

   'Wed'
=> 'Mer',

   'Drop/Add students in this course'
=> 'Enlever/Rajouter etudiants au cours', # 'Eliminez/Ajoutez des étudiants dans ce cours',

   'You have entered that answer before'
=> 'Vous avez déjà soumis cette réponse',

   'A score has been assigned.'
=> 'Une note a été attribuée.',

   'You are correct.'
=> 'Correct!',

   'Your receipt is'
=> 'Votre numero de reçu est',

   'You are excused from the problem.'
=> 'Vous êtes excusé dispensé de faire ce problème.',

   'Incorrect'
=> 'Incorrect.',

   'Some parts were not submitted.'
=> 'Certaines parties n ont pas été soumises.',

   'An error occurred while grading your answer.'
=> "Une erreur est apparue lors de l'évaluation de votre réponse.",

   'The submitted answer was too long.'
=> 'La réponse soumise est trop longue.',

   'This question expects a numeric answer.'
=> 'La réponse à cette question doit être numérique',

   'You have provided an invalid ranking'
=> 'L ordre soumis est incorrect',

   'please refer to'
=> 'SVP se référer à',

   'The filetype extension of the file you uploaded is not allowed.'
=> 'L extension du fichier téléchargé est incorrecte.',

   'Units incorrect.'
=> 'Unités incorrectes.',

   'Only a number required.'
=> 'Seul un nombre est requis.',

   'Units required'
=> 'Unités sont requises',

   'Unable to understand formula'
=> "Impossible d'interpreter la formule",

   'Your submission has been recorded.'
=> 'Votre réponse/requete a été enregistrée.',

   'Unknown message'
=> 'Message inconnu',

   'Answer Submitted'
=> 'Réponse Soumise',

   'Tries'
=> "Nombre d'essai",

   'Submit Answer'
=> 'Soumettre Réponse',

   'Prepare a printable document'
=> 'Preparer Document pour impression',

   'Go To My First Homework Problem'
=> 'Aller au premier problème du devoir',

   'Discussions'
=> 'Discuss¦ons',

   'New discussion since'
=> 'Nouvelle Discussion depuis',

   'Goodbye'
=> 'Au Revoir',

   'Select'
=> 'Sélectionez',

   'Re-Initialize'
=> 'Réinitialisez',

   'Currently selected. '
=> 'Sélection actuelle.',

   'Switch Server'
=> 'Changez de Serveur',

   'system wide'
=> 'pour tout le système ',

   'Currently not available'
=> "Pas disponible pour l'instant",

   'No role specified'
=> 'Aucun rôle n est spécifié',

   'Remark'
=> 'Remarque',

   'Extent'
=> 'Extension',

   'User Role'
=> "Rôle/fonction de l'utilisateur",

   'Start'
=> 'Début/Commencez',

   'End'
=> 'Fin/Finir',

   'System'
=> 'Système',

   'Display'
=> 'Afficher',

   'an unknown date'
=> 'une date inconnue',

   'an indeterminate date'
=> 'une date indéterminée',

   'will open on'
=> 'sera disponible le',

   'is due at'
=> 'est dû à',

   'was due on'
=> 'etait dû le',

   'is closed but you are allowed to view it'
=> 'est fermé mais vous avez la permission de le visualiser',

   'Undid changes, Switched'
=> 'changements annulés, a commuté',

   'Unable to undo, unable to switch'
=> "Impossible d'annuler, impossible de commuter",

   'Unable to make backup'
=> 'Impossible de faire une sauvegarde',

   'Saving Modifications to'
=> 'Changements enregistrés dans',

   'Unable to write to'
=> "Impossible d'ecrire dans",

   'Analyzing a problem'
=> "Analyse en cours d'un problème",

   'EditXML'
=> 'Edition XML',

   'Discard Edits and View'
=> 'Ignorer Changements et Visualiser',

   'Submit Changes'
=> 'Soumettre Changements',

   'Submit Changes and View'
=> 'Soumettre Changements et Visualiser',

   'Edit'
=> 'Edition',

   ', select a template from the pull-down menu below'
=> ', choisissez un descripteur(gabarit) à partir du menu déroulant ci-dessous',

   'undo'
=> 'annuler',

   'Answer'
=> 'Réponse',

   'Frequency'
=> 'Fréquence',

   'You did not select a template.'
=> "Vous n'avez pas choisi un descripteur(gabarit).",

   'Analyze Progress'
=> 'Analyser le Progrès',

   'Getting Problem Variants'
=> 'Obtenant des variantes du Problème',

   'last problem'
=> 'dernier problème',

   'may open later.'
=> 'pourra être disponible plus tard.',

   ', and answers will be available on'
=> ', et les réponses seront disponibles le',

   'Select a'
=> 'Sélectionner un',

   'Unable to find'
=> 'Impossible de trouver',

   'Part'
=> 'Partie',

   'Then'
=> 'Ensuite',

   'Create'
=> 'Créer',

   'is in under construction'
=> "se trouve dans l'espace construction",

   'List of possible answers'
=> 'Liste des réponses possibles',

   'Found no analyzable parts in this problem, currently only Numerical, Formula and String response styles are supported.'
=> "N'a trouvé aucune partie analysable dans ce problème, pour l'instant seul les réponses numériques, les formules et les chaînes de caractères sont acceptés.",

   'is not analyzable at this time'
=> 'ne peut pas être analysé en ce moment',

   'Access and Usage Statistics'
=> "Statistiques d'acces et utilisation",

   'Actions'
=> 'Actions',

   'All homework is currently completed'
=> 'tout le devoir est actuellement terminé ',

   'Answer available'
=> 'Réponse disponible',

   'Answer submitted'
=> 'Réponse soumise',

   'Answer submitted, not yet graded'
=> 'Réponse soumise, pas notée encore',

   'Back to Directory'
=> 'Retour au Répertoire',

   'Cancel'
=> 'Annuler',

   'Construction Space Directory'
=> "Répertoire de l'espace de construction",

   'Contact'
=> 'Contacter',

   'Copying file'
=> 'Copie du fichier en cours',

   'Date'
=> 'Date',

   'Empty'
=> 'Vide',

   'Evaluation Comments'
=> "Commentaires d'évaluation",

   'Evaluation Data'
=> "Données d'évaluation",

   'Excused by instructor'
=> "Dispensé(e) par l'enseignant",

   'File'
=> 'Fichier',

   'Go Back'
=> 'Revenir en Arrière',

   'It is recommended that you use an up-to-date virus scanner before handling this file.'
=> "Il est vivement recommendé d'utiliser un anti-virus récent avant d'ouvrir ce fichier.",

   'Last Modified'
=> 'Dernière Modification',

   'Map'
=> 'Carte/Séquence',

   'Map contents are not shown in order.'
=> "Les contenus des CARTES ne sont pas montrés dans l'ordre",

   'Name'
=> 'Nom',

   'New Messages'
=> 'Nouveaux Messages',

   'New Search'
=> 'Nouvelle Recherche',

   'No due date'
=> 'Sans date limite',

   'No upload file specified.'
=> 'Le fichier à télécharger n a pas été spécifié.',

   'No write permission to user directory, FAIL'
=> "Permission d'ecrire dans le répertoire utilisateur refusée, ECHEC",

   'Open, no due date'
=> 'Ouvert, pas de date limite',

   'Page'
=> 'Page',

   'Path'
=> "voie d'acces",

   "Please use browser 'Back' button and pick a filename"
=> "SVP, Utilisez le bouton 'Retour' du navigateur et sélectionnez un nom de fichier",

   'Processing'
=> 'traitant',

   'Searching'
=> 'Recherche en cours',

   'Select the Construction Space'
=> "Choisir l'espace de Construction",

   'Sequence'
=> 'Séquence',

   'Server Administration'
=> 'Administration du Serveur',

   'Show Only Uncompleted Homework'
=> 'Montrer uniquement les devoirs incomplets',

   'Status'
=> 'Etat',

   'Store uploaded file as '
=> 'Enregistrer le fichier téléchargé comme ',

   'System Administration'
=> 'Administration du Système',

   'The target is an existing directory.'
=> 'La destination est un dossier existant.',

   'Title'
=> 'Titre',

   'Uncompleted Homework'
=> 'Devoir incomplet',

   'View All Messages'
=> 'Visualiser tous les Messages',

   'Was due'
=> 'était dû(e)',

   'Yes'
=> 'Oui',

   'You do not have authoring privileges for this resource'
=> "Vous n avez pas de privilège d'auteur pour cette ressource",

   'You have no unread messages'
=> "Vous n'avez pas de nouveaux messages",

   'could not be copied.'
=> 'ne peut etre copie(e).',

   'never'
=> 'jamais',

   'not displayed'
=> 'pas affiché(e)',

   ', is reserved internally by LON-CAPA.'
=> ', est réservé de façon interne par LON-CAPA.',

   'Back to'
=> 'Retour à',

   'Back to Source'
=> 'Retour à la Source',

   'Back to Source Directory'
=> 'Retour au répertoire Source',

   'Became this version on ...'
=> 'Devint cette version le ...',

   'Browse published resources'
=> 'Naviguer parmi les ressouces publiées', # 'Naviguer les Ressources Publiées',

   'Choose the course to work on'
=> 'Choisissez le cours pour travailler', # 'Choisir le cours sur lequel vous voulez travailler',

   'Create a new course'
=> 'Créer un nouveau cours',

   'Customized right of use ...'
=> "Droit d'utilisation sur mesure ...",

   'Delete messages from bulletin boards'
=> "Effacer Messages des Tableaux d'affichage",

   'Domain only - use limited to courses in the domain'
=> 'Domaine seulement - usage limité aux cours dans le domaine',

   'Dynamic Metadata'
=> 'Meta-données dynamiques',

   'Edit and view documents included in this course'
=> 'Edition et Visualisation des documents inclus dans ce cours',

   'Edit/Modify DOCS'
=> 'Edition/Modification des DOCS',

   'Enter my resource construction space'
=> 'Entrer mon espace de construction de ressources',

   'FAIL'
=> 'ECHEC',

   'Failed to copy source'
=> 'Echec dans la copie de la source',

   'Failed to write metadata copy'
=> 'Echec dans la copie des meta-donnees',

   'File copied.'
=> 'Fichier copie',

   'Finalize Publication'
=> 'Finalisez Publication',

   'Grant/revoke role of Co-Author'
=> 'Octroyer/Révoquer rôle de Co-Auteur',

   'Grant/revoke role of Domain Coordinator'
=> 'Octroyer/Révoquer rôle de Coordinateur de Domaine',

   'Grant/revoke role of Exam Proctor'
=> "Octroyer/Révoquer rôle de Surveillant d'examen",

   'Grant/revoke role of Instructor'
=> "Octroyer/Révoquer rôle d'enseignant",

   'Grant/revoke role of Student'
=> "Octroyer/Révoquer rôle d'etudiant(e)",

   'Grant/revoke role of Superuser'
=> 'Octroyer/Révoquer rôle de Super-Utilisateur',

   'Illegal filename.'
=> 'Nom illegal de fichier.',

   'Name starting with'
=> 'Nom commençant par ',

   'No previous versions published.'
=> 'Pas de version antérieures publiées.',

   'No write permission to'
=> "Pas de permission d'écriture dans",

   'Please pick a version to retrieve'
=> 'SVP choisir version à récupérer',

   'Private - visible to author only for testing purposes'
=> "Privée - Visible uniquement à l'auteur pour test seulement",

   'Private Publication - did not synchronize database'
=> "Publication privée - n'a pas synchronisé la base de données",

   'Public - no authentication or authorization required for use'
=> 'Publique - peut être utilisé(e) sans authentification ou autorisation',

   'Retrieval of an old version will overwrite the file currently in construction space'
=> "Le retrait d'une vielle version remplace complétement le fichier actuel dans l'espace de construction",

   'Retrieve previous versions of'
=> 'Restaurer les versions antérieures de',

   'Retrieve version'
=> 'Restaurer la version',

   'Rule'
=> 'Règles',

   'Search the contents of this course'
=> 'Rechercher les contenus de ce cours',

   'Search the database of published resources'
=> 'Rechercher la base de données des ressources publiées',

   'Send broadcast and receipt-required email'
=> 'Diffuser un courriel(email) avec avis de reception',

   'Show Problem Completeness'
=> 'Montrer intégrité/cohérence du problème', # 'Montrez l'état d'avancement de ce Problème',

   'Switch to another course'
=> 'Commutez à un autre cours', # 'Changez de cours',

   'System wide - can be used for any courses system wide'
=> 'Pour tout le système - peut être utilisé(e) par n importe quel cours dans le système',

   'System wide - open source to all authors'
=> 'Pour tout le système - source disponible à tous les auteurs',

   'The extension on this file'
=> "L'extension du fichier",

   'This resource has been marked obsolete by the author(s)'
=> "Cette ressource a été marquée obsolete par l'auteur",

   'Unsupported character combination'
=> 'combinaison de caractères non acceptable ',

   'Uploaded'
=> 'A été téléchargé vers le serveur',

   'Users with Roles Assigned by'
=> 'Utilisateurs avec rôles octroyés par',

   'View documents included in this course'
=> 'Visualizer les documents inclus dans ce cours',

   'View file'
=> 'Afficher fichier',

   'untitled'
=> 'sans titre',

   "Click to download or use your browser's Save Link function"
=> "Cliquer pour télécharger ou utiliser la fonction 'sauver lien' de votre navigateur",

   '#Stdnts'
=> '#Etudiant(e)s',

   '#YES'
=> '#OUI',

   '%Wrng'
=> '%Faux',

   '. . . for a particular section'
=> '. . . pour une section particulière',

   '. . . for all students in the course'
=> '. . . pour tous les étudiants dans le cours',

   '. . . for an individual student'
=> '. . . pour un(e) étudiant(e) particulier',

   '12 am' # midnight
=> '00:00',

   'midnight'
=> 'minuit',

   '1 am'
=> '1:00',

   '2 am'
=> '2:00',

   '3 am'
=> '3:00',

   '4 am'
=> '4:00',

   '5 am'
=> '5:00',

   '6 am'
=> '6:00',

   '7 am'
=> '7:00',

   '8 am'
=> '8:00',

   '9 am'
=> '9:00',

   '10 am'
=> '10:00',

   '11 am'
=> '11:00',

   '12 noon'
=> '12:00',

   'noon'
=> 'midi',

   '1 pm'
=> '13:00',

   '2 pm'
=> '14:00',

   '3 pm'
=> '15:00',

   '4 pm'
=> '16:00',

   '5 pm'
=> '17:00',

   '6 pm'
=> '18:00',

   '7 pm'
=> '19:00',

   '8 pm'
=> '20:00',

   '9 pm'
=> '21:00',

   '10 pm'
=> '22:00',

   '11 pm'
=> '23:00',

   '<- Previous'
=> '<- Précédent ',

   'ALL'
=> 'TOUS',

   'About Me'
=> 'Données personelles',

   'Access Key Management'
=> "Gestion des clés d'access",

   'Additional Keywords'
=> 'Mots clés additionels',

   'Additional Metadata (non-standard, parameters, exports)'
=> 'Meta-données Additionelles (non-standard, paramètres, exports)',

   'Advanced Catalog Search'
=> 'Recherche Avancée du Catalogue',

   'Advanced Search'
=> 'Recherche Avancée',

   'All Maps or Folders'
=> 'Tous les CARTES et dossiers',

   'All versions'
=> 'Toutes les versions',

   'Any Language'
=> 'N importe quelle langage',

   'Any User'
=> 'N importe quel Utilisateur',

   'Any category'
=> 'N importe quelle Categorie',

   'Any copyright/distribution'
=> 'Toutes distributions/copyright ',

   'Assessment'
=> 'Évaluation',

   'Assessment URL and Title'
=> 'Évaluation, adresse URL et Titre',

   'Assigned User Roles'
=> "Roles Attribués à l'utilisateur",

   'Author and Co-Author roles may not be available on servers other than your home server.'
=> "Rôles d Auteur et Co-Auteur ne sont disponibles que sur le serveur d'acceuil.",

   'Author(s)'
=> 'Auteur(s)',

   'Average number of tries till solved'
=> "Nombre moyen d'essai pour résoudre le problème",

   'Brief view of each students performance in course.'
=> 'Bref résumé de la performance de chaque étudiant du cours.',

   'Broadcast Message to Course'
=> 'Diffuser Message à tous les utilisateurs du cours',

   'Browse Resources'
=> 'Naviguer parmi les ressources',

   'Bulletin Board/Discussion'
=> 'Tableau d Affichage/Discussion',

   'Calculations'
=> 'Calculs',

   'Catalog Information'
=> 'Information de Catalogue',

   'Changes can take up to 10 minutes before being active for all students.'
=> "l'activation des changements pour tous les étudiants peut prendre jusqu à 10 minutes.",

   'Clear All'
=> 'Effacer Tout',

   'Clear Caches'
=> 'Effacer les Antémémoires',

   'Close'
=> 'Fermer',

   'Close All Folders'
=> 'Fermer tous les Dossiers',

   'Collapse Remote Control'
=> 'Supprimer la Télécommande',

   'Comma Separated Values'
=> 'Valeurs séparées par Virgule',

   'Compact View'
=> 'Visualisation Compacte',

   'Construction Space'
=> 'Espace de Construction',

   'Construction Space File Operation'
=> "Operation de fichier de l'espace de Construction",

   'Contact Information'
=> 'Information de contact',

   'Content changed'
=> 'Contenu changé',

   'Copied metadata'
=> 'Meta-données copiées',

   'Copied old metadata'
=> 'Anciennes Meta-données copiées',

   'Copied old target file'
=> 'Ancien fichier cible copié',

   'Copied source file'
=> 'Fichier source copié',

   'Copyright'
=> 'Copyright',

   'Copyright/Distribution'
=> 'Copyright/Distribution',

   'Could Not Process Request'
=> 'N a pas pu traiter la demande',

   'Could not write metadata'
=> 'Ne peut pas écrire les meta-données',

   'Course Assessment Parameter - Helper Mode'
=> "Paramètres d'évaluation du cours - Mode Assistance",

   'Course Assessment Parameters - Overview Mode'
=> "Paramètres d'évaluation du cours - Mode de vue d'ensemble",

   'Course Assessments Parameters - Table Mode'
=> "Paramètres d'évaluation du cours - Mode Table",

   'Course Documents'
=> 'Documents du Cours',

   'Course Environment Parameters'
=> 'Paramètres d Environement du Cours',

   'Course ID'
=> "Numero d'identification du Cours",

   'Course Parameter Helper'
=> 'Aide pour établir les paramètres du cours',

   'Course Statistics and Charts cannot be retrieved until the database is restarted.  Your data is intact but cannot be displayed at this time.'
=> 'Les données statistiques et les diagrammes du cours ne peuvent pas être récuperés jusqu à ce que la base de données soit relancée. Vos donnees sont intactes mais ne peuvent pas être affichées en ce moment.',

   'Course level sheet'
=> 'feuille au niveau du cours ',

   'Create New Environment Variable'
=> "Créer une nouvelle variable d'environement",

   'Creation Date'
=> 'Date de Création',

   'Current Session Value'
=> 'Valeur pour la session Courrante',

   'Custom Distribution File'
=> 'Fichier de distribution fait sur commande',

   'Default'
=> 'Défaut ',

   'Default Cataloging Information for Directory'
=> 'information de répertoire pour le catalogue, par défaut',

   'Default Value'
=> 'Valeur Par Defaut',

   'Degree of difficulty'
=> 'Degré de difficulté',

   'Delete a role'
=> 'Eliminer un rôle',

   'Detailed Citation View'
=> 'Affichage détaillé des citations',

   'Detailed Problem Analysis'
=> 'Analyse détaillée du problème',

   'Detailed statistics and graphs of student performance on problems.'
=> 'Données statistiques détaillées et diagrammes illustrant la performance des étudiants résolvant des problèmes.',

   'Differences'
=> 'Differences',

   'Disable all communication among students'
=> 'Empecher toute comunication entre les étudiants',

   'Discard Selected'
=> 'Ignorez sélection',

   'Distribute Messages from Uploaded File to Course'
=> 'Distrubuer les Messages du fichier téléchargé à tout le monde dans le cours',

   'DoDiff'
=> 'DoDiff',

   'Due'
=> 'est dû ',

   'Dump Course DOCS to Construction Space'
=> "Décharger les DOCS du Cours dans l'espace de Construction",

   'EMail and Messages'
=> 'Courriel(email) et Messages',

   'Edit Catalog Information'
=> 'Editer les Informations du Catalogue',

   'Edit Content of a Map'
=> 'Editer le Contenu de la Carte',

   'Edit Directory Catalog Information'
=> 'Editer les Informations du Catalogue de répertoires',

   'Edit this resource'
=> 'Editer cette ressource',

   'Enclosing Map or Folder'
=> 'Enfermant Carte ou Dossier',

   'End Helper'
=> "Arreter l'aide",

   'Enrollment Status'
=> 'Etat de l Inscription',

   'Enter construction space as a co-author'
=> "Entrer l'espace de construction comme co-auteur",

   'Entering course ...'
=> 'Entrant le cours ...',

   'Error Messages'
=> 'Messages d Erreur',

   'Evaluate Resource'
=> 'Evaluer la ressource',

   'Every problem in a particular folder'
=> 'Chaque problème dans un dossier particulier',

   'Every problem in the course'
=> 'Chaque problème du cours',

   'Exam Information'
=> 'Information sur l Examen',

   'Excel'
=> 'Excel',

   'External Resource'
=> 'Ressource Externe',

   'Failed Access to Construction Space'
=> "Accès a l'espace de construction raté",

   'Fielded Format'
=> 'Format en Champs',

   'File Category'
=> 'Categorie de Fichier',

   'Finish Course Initialization'
=> "Finaliser l'initialisation du cours",

   'Folder'
=> 'Dossier',

   'For User'
=> 'Pour l Utilisateur',

   'Force publication of unmodified files'
=> 'Forcer la publication des fichiers non modifiés',

   'Generate Spreadsheet'
=> 'Générer une feuille de calculs (Tableur)',

   'Generate Statistics'
=> 'Générer Données Statistiques',

   'Generate new role ...'
=> 'Générer un nouveau rôle ...',

   'Go to the next resource in the course sequence'
=> 'Aller à la prochaine ressource dans la séquence du cours',

   'Go to the previous resource in the course sequence'
=> 'Aller à la ressource précédente dans la séquence du cours',

   'Grant/revoke Course Custom Role'
=> 'Octroyer/annuler le rôle sur mesure pour le cours' ,

   'Grant/revoke role of Administrator'
=> 'Octroyer/annuler le rôle d Administrateur ',

   'Grant/revoke role of Author'
=> "Octroyer/annuler le rôle d'auteur",

   'Grant/revoke role of Course Coordinator'
=> 'Octroyer/annuler le rôle de Coordinateur du cours',

   'Grant/revoke role of Domain Guest'
=> "Octroyer/annuler le rôle d'invité de domaine",

   'Grant/revoke role of Librarian'
=> 'Octroyer/annuler le rôle de bibliothécaire',

   'Grant/revoke role of Bubblesheet Scanning Operator'
=> 'Grant/revoke role of Bubblesheet Scanning Operator', # "Octroyer/annuler le rôle d'operateur Scantron",

   'Grant/revoke role of Teaching Assistant'
=> "Octroyer/annuler le rôle d'aide enseignant",

   'HTML'
=> 'HTML',

   'Host'
=> 'Hôte',

   'Import a published document'
=> 'Importer un document publié',

   'Internally authenticated'
=> 'Authentification Interne',

   'Invalid date entry'
=> 'Saisie invalide de date',

   'Kerberos authenticated'
=> 'Authetification par Kerberos',

   'Keyword(s)'
=> 'Mot(s) Clé(s)',

   'Keywords'
=> 'Mots Clés',

   'LON-CAPA Helper:'
=> 'Aide de LON-CAPA:',

   'Last Week'
=>  'La semaine dernière',

   'Last access'
=> 'Dernier accès',

   'Last modified'
=> 'Dernière modification',

   'Last updated'
=> 'Dernière mise à jour',

   'Limit by copyright/distribution'
=> 'Limiter par copyright/distribution',

   'Limit by language'
=> 'Limiter par langage',

   'Load Map'
=> 'Charger Carte/Séquence',

   'Load:'
=> 'Charger:',

   'Lock and unlock assessments'
=> 'Bloquer et débloquer les devoirs',

   'Logged Out'
=> 'Session fermée',

   'MIME Type'
=> 'Type MIME',

   'Make notes and annotations about this resource'
=> 'Inserer notes et annotations au sujet de cette ressource',

   'Manage Access Keys'
=> "Gérer les Clés d'Accès",

   'Manage access keys'
=> "Gérer les Clés d'Accès",

   'Material appears to be correct'
=> 'Le materiel de cours semble être correct',

   'Material covered with sufficient depth'
=> 'Le materiel de cours est traité avec suffisament de profondeur',

   'Material is helpful'
=> 'Le materiel de cours est utile',

   'Material presented in clear way'
=> 'Le materiel de cours est presenté de façon claire',

   'Max Possible To Date'
=> ' Maximum Possible Jusqu ici ',

   'Max Tries'
=> "Maximum nombre d'essai",

   'Mean Tries'
=> "Moyenne du nombre d'essai",

   'Metadata Information'
=> 'Information de meta-données',

   'Mime type'
=> 'Type Mime',

   'Modification Date'
=> 'Date de Modification',

   'Modified'
=> 'Modifié(e)',

   'Modify Course Assessment Parameters'
=> 'Modifier les paramètres des devoirs du cours',

   'Modify authentication mechanism and data for a user'
=> "Modifier le mecanisme d'authentification et les données de l'utilisateur",

   'Modify deadlines, etc, for this assessment resource'
=> 'Modifier les dates limites, etc. pour ce devoir',

   'Modify grades'
=> 'Modifier les notes',

   'Modify user grades for this assessment resource'
=> "Modifier les notes de l'utilisateur pour ce devoir",

   'Move Down'
=> 'Se déplacer vers le bas',

   'Move Up'
=> 'Se déplacer vers le haut',

   'My Personal Info'
=> 'Mes informations personnelles',

   'Network-wide number of accesses (hits)'
=> "Nombre d'accès à travers le réseau (hits)",

   'Network-wide number of courses using resource'
=> 'Nombre de cours à travers le réseau utilisant cette ressource',

   'New Title'
=> 'Nouveau Titre',

   'Next    '
=> 'Suivant    ',

   'No changes were made to the current settings.'
=> 'Aucun changement n a été fait à la configuration actuelle.',

   'Number of resources that follow this resource in maps'
=> 'Nombre de ressources suivant cette ressource dans les CARTES',

   'Number of resources that lead up to this resource in maps'
=> 'Nombre de ressources qui ménent à cette ressource dans les CARTES',

   'Number of resources using or importing resource'
=> 'Nombre de ressources utilisant ou important cette ressource',

   'Obsolete'
=> 'Désuet',

   'One particular problem'
=> 'Un problème particulier',

   'Open'
=> 'Ouvrir',

   'Open All Folders'
=> 'Ouvrir tous les Dossiers',

   'Output'
=> 'Sortie',

   'Output Format'
=> 'Format en sortie',

   'Overall Problem Statistics'
=> 'Données Statistiques globales du Problème',

   'Owner/Publisher'
=> 'Propriétaire/Editeur',

   'Parameter Name'
=> 'Nom du Paramètre',

   'Parameter Type'
=> 'Type de Paramètre',

   'Parameter in Effect'
=> 'Paramètre en Effet',

   'Parent Directory'
=> 'Répertoire Parent',

   'Per Page'
=> 'Par page',

   'Personal Information'
=> 'Information Personnelle',

   'Please either'
=> "SVP l'un ou l'autre",

   'Please notify the server administrator '
=> "SVP Notifiez l'administrateur du serveur",

   'Please select a problem to analyze'
=> 'SVP, sélectionnez un problème à analyser',

   'Please select a report to generate.'
=> 'SVP, sélectionnez un rapport à créer.',

   'Post anonymously'
=> 'Poster de façon anonyme',

   'Post discussion on course resources'
=> 'Poster une discussion sur les ressources du cours',

   'Post system frontpage announcements'
=> 'Poster annonces en première page du système',

   'Post to live chatrooms'
=> 'Poster en temps réel au bavardoir (ChatRoom)',

   'Preparing Excel Spreadsheet'
=> 'Préparer Tableur Excel',

   'Printing Helper'
=> "Assistant d'impression",

   'Privacy Note'
=> 'Note Privée',

   'Problem Status Chart'
=> "Tableau d'état des Problèmes",

   'Problems Not Contained In A Folder'
=> 'Problèmes non contenus dans un dossier',

   'Problems creating new Excel file.  This error has been logged.  Please alert your LON-CAPA administrator.'
=> "Problèmes pour créer une feuille de calcul Excel.  Cette erreur a été journalisée. Veuillez SVP informer l'administrateur du système LON-CAPA.",

   'Processing course structure'
=> 'Traitement de la struture du cours',

   'Processing first student'
=> 'Traitement du premier étudiant',

   'Project Information'
=> 'Information à propos du Projet',

   'Provide feedback messages or contribute to the course discussion about this resource'
=> 'Fournir un feedback et contribuer à la discussion du cours sur cette ressource',

   'Provide my evaluation of this resource'
=> 'Fournir mon évaluation de cette ressource',

   'Publish'
=> 'Publier',

   'Publish Directory'
=> 'Publier Répertoire',

   'Publish Directory and Sub Directories'
=> 'Publier Répertoire et Sous-répertoires',

   'Published'
=> 'Publié(e)',

   'Publisher/Owner'
=> 'Editeur/Propriétaire',

   'Publishing'
=> 'En train de publier',

   'Quick Completed Problems Display'
=> 'Visualition rapide des Problèmes Résolus',

   'Reading results from'
=> 'Lisant résultats à partir de ',

   'Related'
=> 'Relié à ',

   'Resource Feedback and Discussion'
=> 'Feedback et discussion de ressources',

   'Resource Level'
=> 'Niveau Ressource',

   'Resource Publication'
=> 'Publication de Ressource',

   'Resource is technically correct'
=> 'Ressource techniquement correte',

   'Retrieve'
=> 'Restaurer',

   'Revert to Last Saved'
=> 'Retourner à la dernière version sauvée',

   'Revision Date'
=> 'Date de Revision',

   'Row'
=> 'Ligne',

   'S.D. tries'
=> "Dev Stand nombre d'essai",

   'Save as'
=> 'Enregister sous',

   'Save as & Make This Sheet the Default'
=> 'Enregistrer sous & faire le tableur par defaut',

   'Bubblesheet Scanning Operator'
=> 'Bubblesheet Scanning Operator', # 'Operateur Scantron',

   'Score Upload Form'
=> 'Formulaire pour Télécharger les notes',

   'Search Complete'
=> 'Recherche Completée',

   'Section'
=> 'Section',

   'Sections'
=> 'Sections',

   'Select All'
=> 'Tout Sélectionner',

   'Select All Students'
=> 'Sélectionner tous les étudiants',

   'Select Date'
=> 'Sélectionner une Date',

   'Select Enclosing Map or Folder'
=> 'Sélectionner une carte ou Dossier',

   'Select Map'
=> 'Sélectionner Carte/Sequence',

   'Select Parameter Level'
=> 'Sélectionner niveau du paramètre',

   'Select Spreadsheet File'
=> 'Sélectionner Tableur',

   'Send Message to User(s)'
=> 'Envoyer message aux utilisateurs',

   'Send bubblesheet data to a course'
=> 'Send bubblesheet data to a course', # 'Envoyer les donnees Scantron a un cours', # 'Envoyer résultats Scantron à un cours',

   'Send internal email'
=> 'Envoyer courriel(email) interne',

   'Sequence or Folder'
=> 'Séquence ou Dossier',

   'Sequences and Folders'
=> 'Séquences et Dossiers',

   'Set Course Environment Parameters'
=> "Configurer les paramètres de l'environement du cours",

   'Set Date'
=> 'Fixer Date',

   'Set Defaults for All Resources in Course'
=> 'Fixer valeurs par defaut pour toutes les ressources du cours',

   'Set a bookmark for this resource'
=> 'Etablir un signet pour cette ressource',

   'Set a due date'
=> 'Fixer une date due',

   'Set an answer open date'
=> 'Fixer une date pour afficher les réponses',

   'Set an open date'
=> "Fixer une date d'ouverture",

   'Set opening date for all problems in the course for. . .'
=> 'Fixer la date de disponibilité de tous les problèmes du cours pour  . .',

   'Set the number of tries'
=> "Fixer le nombre d'essai",

   'Set the problem weight'
=> 'Fixer le poids (coefficient) du problème',

   'Set/Modify Course Assessment Parameter'
=> 'Fixer/Modifier Paramètre des devoirs du Cours',

   'Set/Modify Course Assessment Parameters'
=> 'Fixer/Modifier Paramètres des devoirs du Cours',

   'Set/Modify Course Parameters'
=> 'Fixer/Modifier Parameères du Cours',

   'Shared by course faculty and staff'
=> 'Partage par le corps enseignant du cours',

   'Show More Options'
=> 'Montrer plus Options',

   'Show all roles'
=> 'Mostrer tous les roles',

   'Show catalog information'
=> 'Montrer information de catalogue',

   'Show resource'
=> 'Montrer ressource',

   'Significant figures are incorrect, submission was not graded.'
=> 'Nombres de chiffres significatifs incorrect, la réponse soumise n a pas été evaluée.',

   'Since Start of Course'
=> 'Depuis le début du Cours',

   'Since Yesterday'
=> 'Depuis hier',

   'Size'
=> 'Taille',

   'Skew Tries'
=> 'Essai de biais',

   'Special documents'
=> 'Documents spécials',

   'Spreadsheet Computation'
=> 'Calcul de Tableur',

   'Spreadsheet Computation Status'
=> 'Etat du calcul du tableur',

   'Statistics'
=> 'Données satistiques',

   'Statistics and Problem Analysis'
=> 'Données satistiques et analyse de problèmes',

   'Store'
=> 'Sauvegarder',

   'Store Catalog Information'
=> 'Sauvegarder information du catalogue',

   'Student level sheet'
=> 'Tableur au niveau étudiant',

   'Student performance statistics on all problems.'
=> "Données statistiques de la performance de l'étudiant avec tous les problèmes.",

   'Students Affected'
=> 'Etudiants concernés',

   'Subject'
=> 'Sujet',

   'Successful Login'
=> 'Connection réussie',

   'Suggested Replacement for Obsolete File'
=> 'Suggestion de remplacement pour fichier désuet',

   'Summary'
=> 'Résumé',

   'Summary View'
=> 'Visualisation du Résumé',

   'Switching Role'
=> 'Changement de rôle',

   'Synchronized SQL metadata database'
=> 'Base de données de meta-données SQL synchronisée',

   'Target'
=> 'Cible',

   'Task'
=> 'Tâche',

   'Template'
=> 'Gabarit',

   'Temporary Assembly Workspace'
=> 'Espace temporaire de montage',

   'The information you submit can be viewed by anybody who is logged into LON-CAPA. Do not provide information that you are not ready to share publicly.'
=> 'Toute information soumise est visible à tout utilisateur connecté à LONCAPA. Ne soumettez aucune information que vous ne désirez pas partager publiquement.',

   'There are currently no results'
=> "Pas de resultats pour l'instant",

   'This helper will assist you in setting the open, due, and answer dates for problems, or in setting the number of tries for problems. You will be asked to select which problems you wish to set the parameters for, then what parameter you wish to set, then you will select whom the setting affects. After the helper is done, you will be shown where in the advanced interface you would have gone to set the parameter you have chosen, so in the future you can do it directly. Press Next -&gt; to begin, or select &lt;- Previous to go back to the previous screen.'
=> "Cette aide vous aidera en fixant la dates d'ouverture, la date dûe et la date d'affichage des réponses ainsi que le nombre d'essais permis pour les problèmes. Vous serez invité à choisir pour quels problèmes vous souhaitez fixer les paramètres, puis quel paramètre vous souhaitez fixer, ensuite vous choisirez qui sera affecté par la nouvelle configuration. Après que l'aide ait fini sa tâche, il vous montrera où dans l'interface avançée vous auriez du allé pour fixer le paramètre que vous avez choisi, pour qu à l'avenir vous puissiez le faire directement. Cliquez Suivant -&gt; pour commencer, ou cliquez &lt;- précédent pour retourner à l'écran précédent.",

   'This syllabus can be publicly viewed at'
=> 'Ce programme peut être publiquement visualisé à',

   'Topic'
=> 'Sujet',

   'Total'
=> 'Total',

   'Total Parts In Course'
=> 'Nombre total de composants du cours',

   'Total number of students who have worked on this problem'
=> "Nombre total d'étudiants qui ont travaillé sur ce problème",

   'Type'
=> 'Type',

   'UNIX authenticated'
=> 'Authentification par UNIX',

   'URL'
=> 'Adresse URL',

   'URLs To Include in Syllabus'
=> 'Adresses URL à inclure dans le Programme du Cours',

   'USERS'
=> 'UTILISATEURS',

   'Unable to connect to database!'
=> 'incapable de connecter à la base de données!',

   'Unknown ID'
=> 'Identification inconnue',

   'Unknown user'
=> 'Utilisateur inconnu',

   'Unpublished'
=> 'Non publié(e)',

   'Unselect All'
=> 'Désélectioner Tout',

   'Unselect All Students'
=> 'Désélectioner Tous les Etudiants',

   'Up'
=> 'vers le haut ',

   'Update Course Assessment Parameter Display'
=> 'Mise à jour de la visualisation des paramètres des devoirs du cours',

   'Update Display'
=> 'Mise à jour de la visualisation',

   'Update Section or Specific User'
=> "Mise à jour de la section ou d'un utilisateur spécifique",

   'Upload bubblesheet data'
=> 'Upload bubblesheet data', # 'Télécharger les données Scantron',

   'Upload a Photo'
=> 'Télécharger une photo',

   'Upload a new main course document'
=> 'Télécharger un nouveau document principal de cours',

   'Upload a new supplemental course document'
=> 'Télécharger un nouveau document supplémentaire pour le cours',

   'User'
=> 'Utilisateur',

   'User Notes, Records of Face-To-Face Discussions, and Critical Messages in Course'
=> "Notes de l'utilisateur, enregistrements des discussions en tête à tête et Messages critiques du Cours",

   'User Notes, Records of Face-to-Face Discussions, and Critical Messages'
=> "Notes de l'utilisateur, enregistrements des discussions en tête à tête et Messages critiques",

   'Verify Course Documents'
=> 'Vérifier les Documents du Cours',

   'Verify Selection'
=> 'Vérifier Sélection',

   'Version'
=> 'Version',

   'Version Number'
=> 'Numero de Version',

   'View'
=> 'Visualiser',

   'View Critical Messages'
=> 'Visualiser Messages Critiques',

   'View Published Version'
=> 'Visualiser Version Publiée',

   'View user submissions for this assessment resource'
=> "Visualiser les réponses de l'utilisateur pour ce devoir",

   'Web References'
=> 'Références Web',

   'Welcome to the Assignment Parameter Helper'
=> "Bienvenu au programme d'aide de configuration et attribution des paramètres",

   'What parameter do you want to set for all problems in the course?'
=> 'Quel paramètre desirez vous etablir pour tous les problèmes du cours?',

   'What should the opening date be set to?'
=> "Quelle date d'ouverture (du problème) voulez vous?",

   'Which Problem or Problems?'
=> 'Quel(s) Problème ou Problèmes?',

   'Which problems do you wish to set a parameter for?'
=> 'Pour quels problèmes voulez vous établir le paramètre?',

   'Words'
=> 'Mots',

   'Wrote Metadata'
=> 'Méta-données enregistrées',

   'XML/SGML'
=> 'XML/SGML',

   'You must choose at least one student to continue.'
=> 'Vous devez choisir au moins un étudiant pour continuer.',

   'You must choose one or more choices to continue.'
=> 'Vous devez sélectionner une ou plusieurs options avant de continuer.',

   'You need to choose another user role or enter a specific course for this function'
=> 'Vous devez choisir un autre rôle ou un cours spécifique pour cette fonction',

   'Your Excel Spreadsheet'
=> 'Votre tableur Excel',

   'Your home server is '
=> "Votre Serveur d'acceuil",

   'a.m.'
=> 'a.m.',

   'abstract'
=> 'résumé',

   'acc keys'
=> "Touches d'accès",

   'access denied'
=> 'accès refusé',

   'according to course preferences'
=> "d'apres les préferences du cours",

   'according to resource settings'
=> "d'apres la configuration de la ressource",

   'according to user session state'
=> "d'apres l'état de la session de l'utilisateur",

   'all'
=> 'tout',


   'anno-[_1]'
=> 'anno-[_1]',

   'announce'
=> 'annoncer',

   'at'
=> 'à',

   'at Domain'
=> 'au Domaine',

   'at domain'
=> 'au domaine',

   'audio'
=> 'audio',

   'author'
=> 'auteur',

   'backward[_1]'
=> 'backward[_1]',

   'bookmark[_2]'
=> 'bookmark[_2]',

   'catalog[_1]'
=> 'catalog[_1]',

   'chart'
=> 'diagramme',

   'chat'
=> 'causerie',

   'close this window'
=> 'fermez cette fenêtre',

   'connection down'
=> 'connexion fermée',

   'contacting'
=> 'entrant en contact',

   'copyright'
=> 'copyright',

   'custom distribution file'
=> 'fichier de distribution sur mesure ',

   'default'
=> 'par default',

   'directory'
=> 'répertoire',

   'discuss[_1]'
=> 'discuss[_1]',

   'docs'
=> 'documents',

   'during the last'
=> 'durant la dernière',

   'edit'
=> 'éditer',

   'evaluate[_1]'
=> 'evaluate[_1]',

   'exit'
=> 'sortir',

   'fas'
=> 'fas',

   'feedback[_1]'
=> 'feedback[_1]',

   'for Enclosing Map or Folder'
=> 'pour la carte ou le dossier',

   'for Resource'
=> 'pour la ressource',

   'forward[_1]'
=> 'forward[_1]',

   'from Enclosing Map or Folder'
=> 'de la carte ou du dossier',

   'general'
=> 'géneral',

   'in Course'
=> 'dans le Cours',

   'in Section/Group'
=> 'dans section/Groupe',

   'info'
=> 'info',

   'interface available'
=> 'interface disponible',

   'keywords'
=> 'mots-clés',

   'language'
=> 'langage',

   'last student'
=> 'dernier étudiant',

   'library'
=> 'bibliothèque',

   'log in again'
=> 'Se connecter de nouveau',

   'manage'
=> 'gérez',

   'may be open from a different computer.'
=> "peut être ouvert à partir d'un ordinateur différent.",

   'minutes'
=> 'minutes',

   'missions'
=> 'miss¦ons',

   'movies'
=> 'films',

   'my'
=> 'mon/ma/mes',

   'not found'
=> 'non trouvé',

   'notes'
=> 'notes',

   'num_override'
=> 'num_dépassement',

   'obsolete'
=> 'désuet',

   'obsolete replacement'
=> 'remplacement obsoléte',

   'of'
=> 'de',

   'or'
=> 'ou',

   'or ID'
=> 'ou ID',

   'p.m.'
=> 'p.m.',

   'pages'
=> 'pages',

   'parms'
=> 'paramètres',

   'part'
=> 'partie',

   'percent'
=> 'pourcent',

   'pictures'
=> 'figures',

   'prepare'
=> 'Préparez',

   'printout'
=> 'Tirage',

   'problem'
=> 'problème',

   'problem statistics grouped by sequence'
=> 'Données statistiques des problèmes groupées par séquences',

   'problem statistics ungrouped'
=> 'Données statistiques non groupées des problèmes',

   'problem statistics, Excel'
=> 'Données statistiques des problèmes, Excel',

   'remaining'
=> 'restant',

   'resource'
=> 'ressource',

   'resources'
=> 'ressources',

   'roles'
=> 'rôles',

   'search'
=> 'cherchez',

   'second'
=> 'seconde',

   'seconds'
=> 'secondes',

   'seconds for'
=> 'secondes pour',

   'sequence'
=> 'séquence',

   'set[_1]'
=> 'placez[_1]',

   'space'
=> 'espace',

   'stats'
=> 'Données statistiques',

   'con-'
=> 'construction-',

   'struct'
=> 'structure',

   'subject'
=> 'sujet',

   'switch'
=> 'commutez',

   'title'
=> 'titre',

   'unless locked'
=> 'à moins que verrouillé ',

   'updated periodically'
=> 'mis à jour périodiquement ',

   'user'
=> 'utilisateur',

   'users in'
=> 'utilisateurs dans',

   'view sub-'
=> 'visualisez sub-',

   'visible to author and co-authors only'
=> "visible à l'auteur et aux co-auteurs seulement",

   'waiting on'
=> 'attendant',

   'warning(s)'
=> 'avertissement(s)',

   'Welcome to the Learning[_1]Online[_2] Network with CAPA. Please wait while your session is being set up'
=> "Bienvenue au réseau d'étude [_1]en ligne[_2] avec CAPA. Attendez s'il vous plaît tandis que votre session se configure",

   'Welcome'
=> 'Bienvenue',

   'Calculate answers'
=> 'Calculez les réponses',

   '&nbsp;Show&nbsp;All&nbsp;Foils'
=> '&nbsp;Montrer&nbsp;Toutes&nbsp;les Alternatives',

   '1 out of N multiple choice (radio button)'
=> '1 des N choix multiples (bouton radio)',

   '<b>[_1]</b>:  Unable to enroll: [_2]'
=> "<b>[_1]</b>:  Incapable d'inscrire: [_2]",

   '<b>[_1]</b>: Unable to enroll.  No password specified.'
=> "<b>[_1]</b>: Incapable d'inscrire. Aucun mot de passe indiqué.",

   '<b>[_1]</b>: Unacceptable username for user [_2] [_3] [_4] [_5]'
=> "<b>[_1]</b>: Nom d'utilisateur inacceptable pour l'utilisateur [_2] [_3] [_4] [_5]",

   'Administrator'
=> 'Administrateur',

   'All Documents in Course'
=> 'Tous les documents du Cours',

   'All Resources (possibly large output)'
=> 'Toutes les ressources (probablement grande sortie)',

   'Analyze Over '
=> 'Analisez Sur ',

   'Analyze Problem'
=> 'Analisez le problème',

   'Analyze Problem Again'
=> 'Analisez le problème de nouveau',

   'Analyze as '
=> 'Analisez comme ',

   'Anonymous'
=> 'Anonyme',

   'Anonymous contribution to course discussion of resource'
=> 'Contribution anonyme à la discussion de cours sur la ressource',

   'Answer:'
=> 'Réponse:',

   'As a general rule, only authors or co-authors should be filesystem authenticated (which allows access to the server filesystem).'
=> "En règle générale, seulement les auteurs ou les co-auteurs devraient être authentifiés par fichier  système (ce qui permet l'accès au fichier système du serveur).",

   'Associate columns with student attributes.'
=> "Associer les colonnes aux attributs de l'étudiant.",

   'Attachment'
=> 'Pièce jointe',

   'Attribute'
=> 'Attribut',

   'Browsing resource, all submissions are temporary.'
=> 'Survolant la ressource, toutes les soumissions sont provisoires.',

   'By'
=> 'Par',

   'CSV (comma separated values, spreadsheet)'
=> 'CSV (valeurs séparées par virgule, tableur) ',

   'Change'
=> 'Changez',

   'Change Random Seed To:'
=> "Changer l'initialisation du tirage aléatoire a:",

   'Change Your Language Preferences'
=> 'Changez Vos Préférences De Langage',

   'Changed discussion view mode'
=> 'Mode de visualisation de la discussion changé',

   'Check All'
=> 'Sélectionez Tous',

   'Check Course Document Versions'
=> 'Sélectionez la version du document du cours',

   'Check for All'
=> 'Sélectionez pour tous',

   'Check for None'
=> 'Sélectionez aucun',

   'Check for Section/Group'
=> 'Sélectionez Section/Groupe',

   'Check/Set Resource Versions'
=> 'Sélectionez/imposez les versions de la ressource',

   'Choose a different resource'
=> 'Choisir une ressource differente',

   'Chronological View'
=> 'Visualisation Chronologique',

   'Click-On Texts (comma sep):'
=> 'Textes cliquables (séparés par virgule):',

   'Column'
=> 'Colonne ',

   'Column&nbsp;[_1]'
=> 'Column&nbsp;[_1]',

   'Concept:'
=> 'Concept:',

   'Concepts'
=> 'Concepts',

   'Continue enrollment?'
=> "Continuez l'inscription?",

   'Contribution to course discussion of resource'
=> 'Contribution à la discussion de la ressource du cours',

   'Correct Option:'
=> 'Option Correcte:',

   'Create a New Course'
=> 'Créez un nouveau cours ',

   'Critical Messages'
=> 'Messages Critiques',

   'Current'
=> 'Actuel',

   'Default:'
=> 'Défaut:',

   'Delete'
=> 'Effacez',

   'Delete Checked'
=> 'Effacez ceux marqués',

   'Delete an option'
=> 'Effacez une option',

   'Delete:'
=> 'Effacez:',

   'Description:'
=> 'Description:',

   'Diffs'
=> 'Differences',

   'Diffs with Current Version'
=> 'Differences avec la version actuelle',

   'Diffs with Version'
=> 'Differences avec la version',

   'Diffs with current Version'
=> 'Differences avec la version actuelle',

   'Disable ID/Student Number Safeguard and Force Change of Conflicting IDs (only do if you know what you are doing)'
=> "Invalidez la Sauvegarde de l'Identification/numéro d'étudiant et forcez le changement des identifications contradictoires (à faire seulement si vous savez ce que vous faites)",

   'Discussion Contributions'
=> 'Contributions à la Discussion',

   'Display All Messages'
=> 'Visualiser Tous les Messages',

   'Display all Messages'
=> 'Visualiser tous les Messages',

   'Display and analysis of submission times on assessments.'
=> 'Affichage et analyse des temps de soumission des devoirs.',

   'Display foils in order given'
=> "Viusaliser les alternatives dans l'ordre donné",

   'Display foils in random order'
=> 'Viusaliser les alternatives dans un ordre aléatoire',

   'Domain Guest'
=> 'Invité de Domaine ',

   'Drop Students'
=> 'Exclure des étudiants',

   'Dropped [_1]'
=> 'Dropped [_1]',

   'Dropped [_1] student(s).'
=> 'Dropped [_1] student(s).',

   'Dropping Students'
=> 'Exclurant des étudiants',

   'Dump Course DOCS'
=> 'Videz les DOCS du cours',

   'EMail Address'
=> 'Adresse E-Mail',

   'Editor Errors - these errors might not effect the running of the problem, but they will likely cause problems with further use of the Edit mode. Please use the EditXML mode to fix these errors.'
=> "Erreurs d'éditeur - ces erreurs pourraient ne pas affecter l'éxecution du problème, mais ils poseront probablement des problèmes avec l'utilisation ultérieure du mode d'édition. Veuillez employer le mode EditXML pour fixer ces erreurs.",

   'Enroll a single student'
=> 'Inscrire un seul étudiant',

   'Enrolling Students'
=> "Inscription d'étudiants",

   'Error'
=> 'Erreur',

   'Error dropping [_1]:[_2]'
=> 'Error dropping [_1]:[_2]',

   'False'
=> 'Faux',

   'Field'
=> 'Champs',

   'Filenames in Construction Space'
=> "Noms de fichiers dans l'espace de construction",

   'First Name'
=> 'Prénom',

   'Foil'
=> 'Alternative',

   'Foils'
=> 'Alternatives',

   'Folder in Construction Space'
=> "Dossiers de fichiers dans l'espace de construction",

   'Format:'
=> 'Format:',

   'Forward'
=> "Expédiez vers l'avant",

   'Forwarded message from'
=> 'Message expédié de',

   'Forwarding'
=> 'Expédiant',

   'From'
=> 'De',

   'Full Update'
=> 'Mise à jour Compléte',

   'Full update (also print list of users not enrolled anymore)'
=> "Mise à jour Compléte (imprimez également la liste d'utilisateurs exclus)",

   'Functions'
=> 'Fonctions',

   'Generation'
=> 'Génération ',

   'Group/Section'
=> 'Groupe/Section',

   'HTML/XML'
=> 'HTML/XML',

   'Height(pixel):'
=> 'Hauteur(pixel):',

   'Hide'
=> 'Cacher',

   'Hint Text'
=> 'Texte donnant un indice',

   'ID/Student Number'
=> "ID/Numéro d'identification de l'étudiant(e)",

   'Identify fields'
=> "Champs d' identification",

   'If active, the new role will be available when the students next log in to LON-CAPA.'
=> "Si actif, le nouveau rôle sera disponible à la prochaine connexion de l'étudiant à LON-CAPA.",

   'If this resource is in active use, student performance data from the previous version may become inaccessible.'
=> 'Si cette ressource est en utilisation active, les données de performance des étudiants sur la version précédente peuvent devenir inaccessibles.',

   'Ignore First Line'
=> 'Ignorer la première ligne',

   'Image:'
=> 'Image:',

   'Incorrect Answers:'
=> 'Réponses Incorrectes:',

   'Initial Password'
=> 'Mot de passe Initial',

   'Internal Filename'
=> 'Fichier interne',

   'Invalid home server specified'
=> 'Serveur HOME spécifié invalide',

   'Keep all Resources up-to-date with most recent Versions (default)'
=> 'Maintenez toutes les ressources à jour avec les versions les plus récentes (défaut) ',

   'LON-CAPA Domain for Students'
=> 'Domaine LON-CAPA pour les étudiants',

   'LON-CAPA Enrollment Manager'
=> 'Gestionnaire d Inscription de LON-CAPA ',

   'LON-CAPA domain: [_1]'
=> 'LON-CAPA domain: [_1]',

   'LaTeX batchmode'
=> 'LaTeX en tâche de fond',

   'LaTeX mode:'
=> 'mode LaTeX:',

   'Last Name'
=> 'Nom',

   'Last Name, First Names'
=> 'Nom, Prénoms',

   'Last accessed'
=> 'Accedé dernierement',

   'Librarian'
=> 'Bibliothécaire ',

   'Login Type'
=> 'Type de procédure de connexion',

   'Making Backup to'
=> 'Faisant une sauvegarde sur',

   'Mark Unread'
=> 'Marquez comme non lu',

   'Max Number Of Shown Foils:'
=> "Nombre maximum d'alternatives montrées:",

   'Max number of foils displayed'
=> "Nombre maximum d'alternatives visualisées:",

   'Metadata'
=> 'Méta-données ',

   'Metadata Version'
=> 'Version des Meta-données ',

   'Metadata current version'
=> 'Version Actuelle des Méta-données',

   'Middle Names/Initials'
=> 'Deuxième prénom/initiales ',

   'Modify Parameters'
=> 'Modifiez les Paramétres',

   'Modify student data'
=> "Modifiez les données de l'étudiant(e)",

   'Most recently published Version'
=> 'Version la plus récemment publiée ',

   'Name:'
=> 'Nom:',

   'New Problem Variation'
=> 'Nouvelle Variation du Problème',

   'New Randomization'
=> 'Nouveau tirage alèatoire',

   'New parameters or stored values'
=> 'Nouveaux paramètres ou valeurs enregistrées',

   'Next'
=> 'Prochain',

   'No'
=> 'Non',

   'No Kerberos domain was specified.'
=> 'Aucun domaine Kerberos n a été spécifié.',

   'No language preference'
=> 'Aucune préférence de langage',

   'None Found'
=> 'Aucun trouvé',

   'Not applicable - '
=> 'Non applicable - ',

   'Not set - '
=> 'Pas déterminé - ',

   'Not shown, not used'
=> 'Pas Montré, Pas utilié',

   'Note: for large courses, this operation may be time consuming'
=> 'Note : pour de grands cours, cette opération peut prendre du temps',

   'Note: this will not take effect if the user already exists'
=> "Note : ceci n'entrera pas en vigueur si l'utilisateur existe déjà",

   'Number of Plots:'
=> 'Nombre de Graphes:',

   'Obsolete parameters or stored values'
=> 'Paramètres ou valeurs enregistrées désuets',

   'One particular problem (overrides folder and course defaults)'
=> "Un problème particulier (ignore la chemise et les paramètres par défauts du cours)",

   'Only Answers'
=> 'Réponse simplement',

   'Option Response Problem Analysis'
=> 'Analyse de problema à réponses à choix multiple',

   'Option response'
=> 'Réponse à choix multiple',

   'Please do not reply to this address.'
=> 'SVP ne répondez pas à cette adresse.',

   'Please select a report to generate'
=> 'Choisissez SVP un rapport à produire ',

   'Position'
=> 'Position',

   'Preferred language'
=> 'Langage Préférée',

   'Preparing Printout'
=> "Préparant la sortie d'impression",

   'Previous'
=> 'Précédent',

   'Print Index:'
=> 'Imprimez le lexique:',

   'Print Table of Contents:'
=> 'Imprimez la table des matières:',

   'Print:'
=> 'Imprimez:',

   'Problems'
=> 'Problèmes',

   'Problems from entire course'
=> 'Problèmes du cours entier',

   'Processed [_1] student(s).'
=> 'Processed [_1] student(s).',

   'Produce Excel Output'
=> 'Produire tableur Excel',

   'Question Text'
=> 'Texte de la Question',

   'Question Type'
=> 'Type de Question',

   'Random position'
=> 'Position aléatoire ',

   'Re'
=> 'Re',

   'Re-enrollment will re-activate data.'
=> 'La Re-inscription réactivera les données.',

   'Record'
=> 'Registre',

   'Registering'
=> 'Enregistrement',

   'Reply'
=> 'Répondre/réponse',

   'Reset Submissions'
=> 'Réinitialisez les Soumissions',

   'Resources from selected sequence in course'
=> 'Ressources de la séquence de cours choisie ',

   'Retrieve Published Resources'
=> 'Récuperez les Ressources Publiées',

   'Retrieving current (most recent) version'
=> 'Récupération de la version actuelle (plus récente)',

   'Sample Points:'
=> 'Points échantillon:',

   'Samples'
=> 'Echantillons',

   'Save as ...'
=> 'Sauvegardez comme ...',

   'Select Printing Options:'
=> "Sélectionnez les options d'impression:",

   'Select a course'
=> 'Sélectionnez un cours',

   'Selecting a User'
=> 'Sélectionnez un Utilisateur',

   'Send New'
=> 'Envoyez Nouveau',

   'Send Reply'
=> 'Envoyez Réponse',

   'Send as critical message'
=> 'Envoyez comme message critique',

   'Set Version to be used in Course'
=> 'Choisir la version à utiliser dans le cours',

   'Set Versions to be used in Course according to Selections below'
=> 'Choisir les versions à utiliser dans le cours selon des sélections ci-dessous',

   'Set all Resource Versions to current Version (Fix Versions)'
=> 'Fixez toutes les versions de ressource à la version en cours
(Corrigez versions) ',

   'Short string response'
=> 'Réponse type chaîne courte de caractères',

   'Show Preview'
=> 'Visualisation préliminaire',

   'Show always at bottom position'
=> 'Montrer toujours en position inférieure',

   'Show always at top position'
=> 'Montrer toujours en position supérieure',

   'Simple Problem Editor'
=> 'Editeur simple de problèmes',

   'Size:'
=> 'Taille:',

   'Space separated'
=> 'separé(e) par un espace',

   'Starting'
=> 'Commençant',

   'Starting and Ending Dates'
=> 'Dates de début et fin',

   'Store Changes'
=> 'Sauvegarde des changements',

   'Student Data Compilation Progress'
=> "Progrès de la Compilation des Données de l'étudiant",

   'Student Data Compilation Status'
=> "Etat de la Compilation des Données de li'étudiant",

   'Student Number'
=> "Numero d'étudiant",

   'Student Sheet Links'
=> "Liens hypertexte à la page de l'étudiant",

   'Submission Time Analysis'
=> 'Analyse des temps de soumissions des réponses',

   'Submit Changes and Edit'
=> 'Soumettre les changements et Editer',

   'Tabulator separated'
=> 'Tableur séparé',

   'TeXWidth(mm):'
=> 'LargeurTeX(mm):',

   'Text'
=> 'Texte',

   'Text Block'
=> 'Bloque de Texte',

   'The optional email address field was not specified.'
=> "Le Champs facultatif d'adresse email n'a pas été spécifié.",

   'The optional name field was not specified.'
=> "Le Champs facultatif du nom n'a pas été spécifié.",

   'The optional section or group field was not specified.'
=> "Le Champs facultatif de la section ou groupe n'a pas été spécifié.",

   'The optional student number field was not specified.'
=> "Le Champs facultatif du numéro d'étudiant n'a pas été spécifié.",

   'There are no students currently enrolled.'
=> "Il n'y a aucun étudiant actuellement inscrit.",

   'There is no student data for this problem.'
=> "Il n'y a aucune donnée d'étudiant pour ce problème.",

   'This is an automatic message generated by the LON-CAPA system.'
=> 'Ceci est un message automatique produit par le système LON-CAPA.',

   'Threaded View'
=> 'Visualisation Filetée (Threaded)',

   'Time'
=> 'Temps',

   'To'
=> 'Pour',

   'Total number of records found in file: [_1].'
=> 'Nombre total des enregistrements trouvés dans le fichier: [_1].',

   'True'
=> 'Vrai',

   'Type in value'
=> 'Saisir une valeur',

   'Type:'
=> 'Type:',

   'Unable to enroll students'
=> "Incapable d'inscrire les étudiants",

   'Uncheck All'
=> 'Désélectioner Tous',

   'Unit:'
=> 'Unitée:',

   'Unsuccessful Login'
=> 'Procédure de connexion Non réussie',

   'Update Student Data'
=> 'Mise à jour des Données étudiant',

   'Updating discussion time'
=> 'Mise à jour du temps de discussion',

   'Upload file to Construction Space'
=> "Télécharger le fichier dans l'espace construction",

   'Uploading Class List'
=> "Téléchargement de la liste d'étudiant du cours",

   'Value'
=> 'Valeur',

   'Verify Content'
=> 'Verifiez Contenu',

   'Version changes since Yesterday'
=> 'Changements de version depuis hier',

   'Version changes since last Month'
=> 'Changements de version depuis le mois dernier',

   'Version changes since last Week'
=> 'Changements de version depuis la semaine dernière',

   'Version changes since start of Course'
=> 'Changements de version depuis le début du cours',

   'Version used in Course'
=> 'Version utilisée dans le cours',

   'View Class List'
=> 'Visualiser la liste des étudiants',

   'Warning!'
=> 'Alerte!',

   'Width(pixel):'
=> 'Largeur(pixel):',

   'With Answers'
=> 'Avec Réponses',

   'Without Answers'
=> 'Sans Réponses',

   'You have no critical messages.'
=> "Vous n'avez aucun message critique.",

   'You must choose an authentication type.'
=> "vous devez choisir un type d'authentification.",

   'You need to specify the Kerberos domain.'
=> 'vous devez indiquer le domaine de Kerberos.',

   'You need to specify the initial password.'
=> 'vous devez indiquer le mot de passe initial.',

   'You need to specify the username field.'
=> "Vous devez indiquer le Champs nom d'utilisateur.",

   'Your Version Settings have been Stored'
=> 'Vos configurations de version ont été enregistrées',

   '[_1] Do not change login data'
=> '[_1] Ne changez pas les données de procédure de connexion',

   '[_1] Filesystem Authenticated (with initial password [_2])'
=> '[_1] Fichier système authentifié avec le mot de passe initial [_2])',

   '[_1] Internally authenticated (with initial password [_2])'
=> '[_1] Authentifié de façon interne (avec le mot de passe initial [_2])',

   '[_1] Kerberos authenticated with domain [_2] [_3] Version 4 [_4] Version 5'
=> '[_1] Authentifié via Kerberos, domaine [_2] [_3] Version 4 [_4] Version 5',

   '[_1] Local Authentication with arguement [_2]'
=> '[_1] Authentification locale avec arguement [_2]',

   'and return receipt'
=> 'et delivrez un reçu',

   'anonymous'
=> 'anonyme',

   'bytes'
=> 'Octets',

   'can not be accessed from your location.'
=> 'ne peut pas être consulté depuis votre emplacement.',

   'file<br />extension'
=> 'extension<br /> de fichier',

   'most recent'
=> 'plus recent',

   'name only visible to course faculty'
=> 'nom visible uniquement aux enseignants du cours',

   'publisher<br />owner'
=> 'éditeur<br />propriétaire',

   'standard LaTeX mode'
=> 'mode standard LaTeX',

   'versions of this problem'
=> 'vers¦ons de ce problème',

   'loginproblems.html'
=> 'loginproblems.html',

# ----

   'calendar[_1]'
=> 'calendar[_1]',

   'announce[_1]'
=> 'announce[_1]',


# ----

   'commu-[_1]'
=> 'commu-[_1]',

   'nication[_1]'
=> 'nication[_1]',


# ----

   'course[_10]'
=> 'course[_10]',

   'chat[_1]'
=> 'chat[_1]',


# ----

   'search[_1]'
=> 'search[_1]',

   'course[_11]'
=> 'course[_11]',


# ----

   'search[_2]'
=> 'search[_2]',

   'library[_1]'
=> 'library[_1]',


# ----

   'prefer-[_1]'
=> 'prefer-[_1]',

   'ences[_1]'
=> 'ences[_1]',


# ----

   'exit[_1]'
=> 'exit[_1]',

   ' [_1]'
=> ' [_1]',


# ----

   'switch[_2]'
=> 'switch[_2]',

   'role[_1]'
=> 'role[_1]',


# ----

   'choose[_2]'
=> 'choisir[_2]',

   'role[_2]'
=> 'rôle[_2]',


# ----

   'choose[_1]'
=> 'choose[_1]',

   'course[_1]'
=> 'course[_1]',


# ----

   'switch[_1]'
=> 'switch[_1]',

   'course[_2]'
=> 'course[_2]',


# ----

   'course[_3]'
=> 'cours[_3]',

   'docs[_1]'
=> 'docs[_1]',


# ----

   'edit crs[_1]'
=> 'edit crs[_1]',

   'docs[_2]'
=> 'docs[_2]',


# ----

   'navigate[_1]'
=> 'navigate[_1]',

   'contents[_1]'
=> 'contents[_1]',


# ----

   'my[_1]'
=> 'my[_1]',

   'grades[_1]'
=> 'grades[_1]',


# ----

   'course[_4]'
=> 'course[_4]',

   'grades[_2]'
=> 'grades[_2]',


# ----

   'course[_5]'
=> 'course[_5]',

   'chart[_1]'
=> 'chart[_1]',


# ----

   'course[_6]'
=> 'course[_6]',

   'stats[_1]'
=> 'stats[_1]',


# ----

   'course[_7]'
=> 'course[_7]',

   'enroll[_1]'
=> 'enroll[_1]',


# ----

   'manage[_1]'
=> 'manage[_1]',

   'acc keys[_1]'
=> 'acc keys[_1]',


# ----

   'user[_1]'
=> 'user[_1]',

   'roles[_1]'
=> 'roles[_1]',


# ----

   'create[_1]'
=> 'create[_1]',

   'course[_8]'
=> 'course[_8]',


# ----

   'course[_9]'
=> 'course[_9]',

   'parms[_1]'
=> 'parms[_1]',


# ----

   'con-[_1]'
=> 'con-[_1]',

   'struct[_1]'
=> 'struct[_1]',


# ----

   'co con-[_1]'
=> 'co con-[_1]',

   'struct[_2]'
=> 'struct[_2]',


# ----

   'resource[_1]'
=> 'resource[_1]',

   'space[_1]'
=> 'space[_1]',


# ----

   'co res[_1]'
=> 'co res[_1]',

   'space[_2]'
=> 'space[_2]',


# ----

   'enter[_1]'
=> 'enter[_1]',


# ----

   'send[_1]'
=> 'send[_1]',

   'scantron[_1]'
=> 'scantron[_1]',


# ----

   'view[_1]'
=> 'view[_1]',

   'bookmark[_1]'
=> 'bookmark[_1]',


#SYNC Tue Aug 15 14:23:19 2006
   '"[_1]" for default hiding'
=> '"[_1]" for default hiding',
# "[_1]" fou par Défaut  hiding
   '"[_1]" for visible separation'
=> '"[_1]" for visible separation',
# "[_1]" fou visible separàion
   '"[_1]" if allowed, anything else if not'
=> '"[_1]" if allowed, anything else if not',
# "[_1]" if PouruPourMer, anything else if Nont
   '"[_1]" to disable, anything else if not'
=> '"[_1]" to disable, anything else if not',
# "[_1]" Pour disable, anything else if Nont
   '&quot; [_1] &quot; is not an acceptable number of tries. Tries must be a positive number with no decimal point.'
=> '&quot; [_1] &quot; is not an acceptable number of tries. Tries must be a positive number with no decimal point.',
# &quot; [_1] &quot; is Nont an acceptable number de NonmbRe d essai. NonmbRe d essai must be a positive number with Non decimal point.
   '&quot; [_1] &quot; is not an acceptable weight. Weight must be a positive number.'
=> '&quot; [_1] &quot; is not an acceptable weight. Weight must be a positive number.',
# &quot; [_1] &quot; is Nont an acceptable weight. Weight must be a positive number.
   '(Enter maximum [_1] collaborators using username or username@domain, e.g. smithje or smithje@[_2].)'
=> '(Enter maximum [_1] collaborators using username or username@domain, e.g. smithje or smithje@[_2].)',
# (entRer maximum [_1] collabouàous using utilisàeurNom ou utilisàeurNom@Domaine, e.g. smithje ou smithje@[_2].)
   '(Hand in a file you have prepared on your computer)'
=> '(Hand in a file you have prepared on your computer)',
# (Hand in a Fichier you have PrépaRezd on your computer)
   ', select a template from the pull-down menu below.'
=> ', select a template from the pull-down menu below.',
# , Sélectionner un templàe De the pull-down menu below.
   '1 minute'
=> '1 minute',

   '<*response>s are both inside of <part> and outside of <part>, this is not a valid problem, errors in grading may occur.'
=> '<*response>s are both inside of <part> and outside of <part>, this is not a valid problem, errors in grading may occur.',
# <*Response>s aRe both inside de <Partieie> and outside de <Partieie>, this is Nont a valid problème, errous in Assigner des notes Mai occur.
   '<b>HTML allowed</b>: Discussion participants can use limited HTML in their postings.'
=> '<b>HTML allowed</b>: Discussion participants can use limited HTML in their postings.',
# <b>HTML PouruPourMer</b>: Discussion Partieieicipants can use limited HTML in their postings.
   '<b>HTML banned</b>: HTML will not be allowed in discussion postings.'
=> '<b>HTML banned</b>: HTML will not be allowed in discussion postings.',
# <b>HTML banned</b>: HTML will Nont be PouruPourMer in discussion postings.
   '<b>Instructor</b> - instructors will not be able to participate in discussions'
=> '<b>Instructor</b> - instructors will not be able to participate in discussions',
# <b>InstructuReou</b> - instructuReous will Nont be able Pour Partieieicipàe in Discuss¦ons
   '<b>Instructor</b> - instructors will not be able to use or view the chat room'
=> '<b>Instructor</b> - instructors will not be able to use or view the chat room',
# <b>InstructuReou</b> - instructuReous will Nont be able Pour use ou Visualiser the caUtiliSameurie room
   '<b>Students</b> - students will not be able to participate in discussions'
=> '<b>Students</b> - students will not be able to participate in discussions',
# <b>Etudiant(e)s</b> - Etudiant(e)s will Nont be able Pour Partieieicipàe in Discuss¦ons
   '<b>Students</b> - students will not be able to use or view the chat room.'
=> '<b>Students</b> - students will not be able to use or view the chat room.',
# <b>Etudiant(e)s</b> - Etudiant(e)s will Nont be able Pour use ou Visualiser the caUtiliSameurie room.
   '<b>Teaching Assistants</b> - teaching assistants will not be able to participate in discussions'
=> '<b>Teaching Assistants</b> - teaching assistants will not be able to participate in discussions',
# <b>Assistant de Courss</b> - Assistant de Courss will Nont be able Pour Partieieicipàe in Discuss¦ons
   '<b>Teaching Assistants</b> - teaching assistants will not be able use or view the chat room'
=> '<b>Teaching Assistants</b> - teaching assistants will not be able use or view the chat room',
# <b>Assistant de Courss</b> - Assistant de Courss will Nont be able use ou Visualiser the caUtiliSameurie room
   '<p>Your current LON-CAPA domain is &quot;<b>[_1]</b>&quot;.</p>'
=> '<p>Your current LON-CAPA domain is &quot;<b>[_1]</b>&quot;.</p>',
# <p>Your Actuel LON-CAPA Domaine is &quot;<b>[_1]</b>&quot;.</p>
   'ABSTRACT'
=> 'ABSTRACT',
# résumé
   'Access Control'
=> 'Access Control',

   'Activate'
=> 'Activate',
# Activàe
   'Add Roles'
=> 'Add Roles',
# Add rôles
   'Add new option'
=> 'Add new option',

   "Add one empty page/column after each student's assignment"
=> "Add one empty page/column after each student's assignment",
# Add one Vide Page/Colonne  after each Etudiant(e)'s assignment
   "Add three empty pages/column after each student's assignment"
=> "Add three empty pages/column after each student's assignment",
# Add thRee Vide Pages/Colonne  after each Etudiant(e)'s assignment
   "Add two empty pages/column after each student's assignment"
=> "Add two empty pages/column after each student's assignment",
# Add two Vide Pages/Colonne  after each Etudiant(e)'s assignment
   'Additional Recipients'
=> 'Additional Recipients',

   'Additional settings, if specified below, will override cloned settings'
=> 'Additional settings, if specified below, will override cloned settings',

   'Advanced Edit'
=> 'Advanced Edit',
# Advanced éditer
   'Advanced: You can send the feedback from different sections to different people, by doing the following: Separate each entry with a comma. To send feedback to a certain address for different sections, append the section name or names (separated by semi-colons) in a parenthesized list after the user:domain. For example, john102:msu(001;002;003),bob293:msu(004;005;006),madeupname:here(007;008;009) will route course feedback to &quot;john102&quot; for sections 1, 2, and 3, to &quot;bob293&quot; for 4, 5, and 6, and to &quot;madeupname:here&quot; for 7, 8, and 9. Note there is no requirement that the addresses be in any particular domain.'
=> 'Advanced: You can send the feedback from different sections to different people, by doing the following: Separate each entry with a comma. To send feedback to a certain address for different sections, append the section name or names (separated by semi-colons) in a parenthesized list after the user:domain. For example, john102:msu(001;002;003),bob293:msu(004;005;006),madeupname:here(007;008;009) will route course feedback to &quot;john102&quot; for sections 1, 2, and 3, to &quot;bob293&quot; for 4, 5, and 6, and to &quot;madeupname:here&quot; for 7, 8, and 9. Note there is no requirement that the addresses be in any particular domain.',
# Advanced: You can sFin/Finir the feedback De diffeRent Sections Pour diffeRent people, Par doing the following: Separàe each entry with a comma. Pour sFin/Finir feedback Pour a certain addRess fou diffeRent Sections, appFin/Finir the Section Nom ou Noms (separàed Par semi-colons) in a paRentheTailled list after the utilisàeur:Domaine. Fou example, john102:msu(001;002;003),bob293:msu(004;005;006),madevers le haut Nom:heRe(007;008;009) will route cours feedback Pour &quot;john102&quot; fou Sections [_1], 2, and 3, Pour &quot;bob293&quot; fou 4, 5, and 6, and Pour &quot;madevers le haut Nom:heRe&quot; fou 7, 8, and 9. Nonte theRe is Non RequiRement thà the addResses be in any Partieieicular Domaine.
   'All Resources'
=> 'All Resources',
# Pourut Ressources
   'All Students'
=> 'All Students',
# Pourut Etudiant(e)s
   'All settings which you can change with this Helper can also be changed by going to the PARM screen and clicking on the &quot;Set course environment&quot; button. If you do not have experience coordinating LON-CAPA courses or if you prefer the Helper interface, please click Next -&gt;.'
=> 'All settings which you can change with this Helper can also be changed by going to the PARM screen and clicking on the &quot;Set course environment&quot; button. If you do not have experience coordinating LON-CAPA courses or if you prefer the Helper interface, please click Next -&gt;.',
# Pourut settings which you can Changez with this Aideer can also be Changezd Par going Pour the Pa.m.scReen and clicking on the &quot;Set cours environment&quot; butPourn. If you do Nont have experience cooudinàing LON-CAPA courss ou if you pRefer the Aideer interface, please click Prochain -&gt;.
   'Allow limited HTML in discussion posts'
=> 'Allow limited HTML in discussion posts',
# PouruPourw limited HTML in discussion posts
   'Allow problems to be split over pages'
=> 'Allow problems to be split over pages',
# PouruPourw problèmes Pour be split over Pages
   'Allowed File Extensions for Uploaded Files (uploadedfiletypes)'
=> 'Allowed File Extensions for Uploaded Files (uploadedfiletypes)',
# PouruPourMer Fichier Extensions fou A été téléchargé vers le serveur Fichiers (A été téléchargé vers le serveurFichierTypes)
   'Allowed filetypes: <b>[_1]</b>'
=> 'Allowed filetypes: <b>[_1]</b>',
# PouruPourMer FichierTypes: <b>[_1]</b>
   'An error occurred during the attempt to change the section for this student.'
=> 'An error occurred during the attempt to change the section for this student.',
# An errou occuRed during the àtempt Pour Changez the Section fou this Etudiant(e).
   'An error occurred during the attempt to change the role information for this student.'
=> 'An error occurred during the attempt to change the role information for this student.',
# An errou occurRed during the àtempt Pour Changez the rôle infoumàion fou this Etudiant(e).
   'Analyzing Results'
=> 'Analyzing Results',

   'Answer Date (answerdate)'
=> 'Answer Date (answerdate)',
# Réponse Dàe (Réponsedàe)
   'Answer Submitted: Your final submission will be graded after the due date.'
=> 'Answer Submitted: Your final submission will be graded after the due date.',
# Réponse SoumettReted: Your final submission will be graded after the est dû  dàe.
   'Answerable'
=> 'Answerable',
# Réponseable
   'Assessment Parameters'
=> 'Assessment Parameters',
# Évaluation Parameters
   'Automated Enrollment Manager'
=> 'Automated Enrollment Manager',
# AuPourmàed inscriRement géRezr
   'Automated adds'
=> 'Automated adds',
# AuPourmàed adds
   'Automated drops'
=> 'Automated drops',
# AuPourmàed drops
   'Automated enrollment settings'
=> 'Automated enrollment settings',
# AuPourmàed inscriRement settings
   'Bad Filename'
=> 'Bad Filename',
# Bad FichierNom
   'Begin Enrollment'
=> 'Begin Enrollment',
# Begin inscriRement
   'Binary File'
=> 'Binary File',
# Binary Fichier
   'Blank'
=> 'Blank',

   'Browse'
=> 'Browse',
# BLignese
   'Browse resources'
=> 'Browse resources',
# BLignese Ressources
   'CSV format'
=> 'CSV format',
# CSV foumà
   'Cannot publish directory'
=> 'Cannot publish directory',
# CanNont Publier diRecPouruy
   'Cannot retrieve directory'
=> 'Cannot retrieve directory',
# CanNont RestauRer diRecPouruy
   'Catalog Search'
=> 'Catalog Search',
# Càalog cherchez
   'Change User Privileges'
=> 'Change User Privileges',
# Changez utilisàeur Privileges
   'Chat Participation'
=> 'Chat Participation',
# caUtiliSameurie Partieieicipàion
   'Click here for FAQ'
=> 'Click here for FAQ',
# Click heRe fou FAQ
   'Click here for help'
=> 'Click here for help',
# Click heRe fou Aide
   'Click here to report bugs'
=> 'Click here to report bugs',
# Click heRe Pour Repout bugs
   'Click here to return to the chart.'
=> 'Click here to return to the chart.',
# Click heRe Pour Return Pour the diagra.m..
   'Client IP/Name Access Control (acc)'
=> 'Client IP/Name Access Control (acc)',
# Client IP/Nom Access Control (acc)
   'Clone an existing course'
=> 'Clone an existing course',
# Clone an existing cours
   'Close This Window'
=> 'Close This Window',
# fermez cette fenêtRe
   'Closed'
=> 'Closed',
# Fermerd
   'Communication'
=> 'Communication',
# Communicàion
   'Compare versions of'
=> 'Compare versions of',
# CompaRe Versions de
   'Completed'
=> 'Completed',

   'Completely new course'
=> 'Completely new course',
# Completely new cours
   'Confirm that this information is correct, then click &quot;Finish Helper&quot; to complete setting the parameter.'
=> 'Confirm that this information is correct, then click &quot;Finish Helper&quot; to complete setting the parameter.',
# Confirm thà this infoumàion is couRect, Ensuite click &quot;Finish Aideer&quot; Pour complete setting the parameter.
   'Construction Space Version'
=> 'Construction Space Version',
# ConstructuReion espace Version
   'Continue'
=> 'Continue',

   'Copy current file to'
=> 'Copy current file to',
# Copy Actuel Fichier Pour
   'Copy selected'
=> 'Copy selected',
# Copy Sélectionezed
   'Course Code'
=> 'Course Code',
# cours Code
   'Course Content'
=> 'Course Content',
# cours Content
   'Course Data'
=> 'Course Data',
# cours Dàa
   'Course Home Server'
=> 'Course Home Server',
# cours Home Serveur
   'Course ID or number'
=> 'Course ID or number',
# cours ID ou number
   'Course ID/Number'
=> 'Course ID/Number',
# cours ID/Number
   'Course Information'
=> 'Course Information',
# cours infoumàion
   'Course Initialization Helper'
=> 'Course Initialization Helper',
# cours Initializàion Aideer
   'Course Level'
=> 'Course Level',
# cours Level
   'Course Search'
=> 'Course Search',
# cours cherchez
   'Course Title'
=> 'Course Title',
# cours titRe
   'Course default for all problems'
=> 'Course default for all problems',
# cours par Défaut  fou Pourut problèmes
   'Course members can provide feedback about the course. You can choose who will receive the feedback, such as a different instructor or a TA. Please enter their LON-CAPA address below, in the form user:domain, where &quot;user&quot; and &quot;domain&quot; are both the LON-CAPA username and LON-CAPA domain, not an email address.'
=> "Course members can provide feedback about the course. You can choose who will receive the feedback, such as a different instructor or a TA. Please enter their LON-CAPA address below, in the form user:domain, where &quot;user&quot; and &quot;domain&quot; are both the LON-CAPA username and LON-CAPA domain, not an email'address.",
# cours members can provide feedback about the cours. You can choisir who will Receive the feedback, such as a diffeRent instructuReou ou a TA. Please entRer their LON-CAPA addRess below, in the foum utilisàeur:Domaine, wheRe &quot;utilisàeur&quot; and &quot;Domaine&quot; aRe both the LON-CAPA utilisàeurNom and LON-CAPA Domaine, Nont an Adresse E-Mail.
   'Courses'
=> 'Courses',
# courss
   'Create New User'
=> 'Create New User',
# créer New utilisàeur
   'Create User'
=> 'Create User',
# créer utilisàeur
   'Creating a new'
=> 'Creating a new',
# CReàing a new
   'Crosslisted courses'
=> 'Crosslisted courses',
# Crosslisted courss
   'Current Class List'
=> 'Current Class List',
# Actuel Class List
   'Current Ending Date: [_1]'
=> 'Current Ending Date: [_1]',
# Actuel Fin/Finiring Dàe: [_1]
   'Current Ending Date: not set'
=> 'Current Ending Date: not set',
# Actuel Fin/Finiring Dàe: Nont set
   'Current Resource'
=> 'Current Resource',
# Actuel Ressource
   'Current Starting Date: [_1]'
=> 'Current Starting Date: [_1]',
# Actuel Commençant Dàe: [_1]
   'Current Starting Date: not set'
=> 'Current Starting Date: not set',
# Actuel Commençant Dàe: Nont set
   'Current Version'
=> 'Current Version',
# Actuel Version
   'Currently no active roles or courses'
=> 'Currently no active roles or courses',
# Actuelly Non active rôles ou courss
   'Currently no additional roles or courses'
=> 'Currently no additional roles or courses',
# Actuelly Non additional rôles ou courss
   'Currently submitted: <tt>[_1]</tt>'
=> 'Currently submitted: <tt>[_1]</tt>',
# Actuelly SoumettReted: <tt>[_1]</tt>
   'Custom Role Editor'
=> 'Custom Role Editor',
# CusPourm rôle éditerou
   'Cut selected'
=> 'Cut selected',
# Cut Sélectionezed
   'Decompress'
=> 'Decompress',

   'Default Assessment Spreadsheet'
=> 'Default Assessment Spreadsheet',
# par Défaut  Évaluation SpReadsheet
   'Default Course Spreadsheet'
=> 'Default Course Spreadsheet',
# par Défaut  cours SpReadsheet
   'Default Student Spreadsheet'
=> 'Default Student Spreadsheet',
# par Défaut  Etudiant(e) SpReadsheet
   'Default XML Style File'
=> 'Default XML Style File',
# par Défaut  XML Style Fichier
   'Default beginning date when enrolling students'
=> 'Default beginning date when enrolling students',
# par Défaut  beginning dàe when inscriReing Etudiant(e)s
   'Default ending date when enrolling students'
=> 'Default ending date when enrolling students',
# par Défaut  Fin/Finiring dàe when inscriReing Etudiant(e)s
   'Default for new courses is'
=> 'Default for new courses is',
# par Défaut  fou new courss is
   'Default set of options to pass to tth/m when converting tex'
=> 'Default set of options to pass to tth/m when converting tex',
# par Défaut  set de options Pour pass Pour tth/m when converting tex
   'Define Role'
=> 'Define Role',
# Define rôle
   'Dependencies'
=> 'Dependencies',
# DepFin/Finirencies
   'Disable display of problem receipts'
=> 'Disable display of problem receipts',
# Disable Afficher de problème Receipts
   'Disable student resource discussion'
=> 'Disable student resource discussion',
# Disable Etudiant(e) Ressource discussion
   'Disable student use of chatrooms'
=> 'Disable student use of chatrooms',
# Disable Etudiant(e) use de caUtiliSameurierooms
   'Disallow Resource Discussion for Roles'
=> 'Disallow Resource Discussion for Roles',
# DisPouruPourw Ressource Discussion fou rôles
   'Disallow Resource Discussion for Users'
=> 'Disallow Resource Discussion for Users',
# DisPouruPourw Ressource Discussion fou utilisàeurs
   'Disallow live chatroom use for Roles'
=> 'Disallow live chatroom use for Roles',
# DisPouruPourw live caUtiliSameurieroom use fou rôles
   'Disallow live chatroom use for Users'
=> 'Disallow live chatroom use for Users',
# DisPouruPourw live caUtiliSameurieroom use fou utilisàeurs
   'Discussion Participation'
=> 'Discussion Participation',
# Discussion Partieieicipàion
   'Display file attributes'
=> 'Display file attributes',
# Afficher Fichier àtributes
   'Do NOT generate as standard course'
=> 'Do NOT generate as standard course',
# Do NonT generàe as standard cours
   'Do not show plain URL (encrypturl)'
=> 'Do not show plain URL (encrypturl)',
# Do Nont show plain AdResse URL (encryptAdResse URL)
   'Domain Level'
=> 'Domain Level',
# Domaine Level
   "Don't Show Feedback"
=> "Don't Show Feedback",

   'Due Date (contentclose)'
=> 'Due Date (contentclose)',
# est dû  Dàe (contentFermer)
   'Due Date (duedate)'
=> 'Due Date (duedate)',
# est dû  Dàe (est dû dàe)
   'Duration of automated classlist updates'
=> 'Duration of automated classlist updates',
# Duràion de auPourmàed classlist vers le haut dàes
   'Dynamic Metadata (updated periodically)'
=> 'Dynamic Metadata (updated periodically)',
# Dynamic Metadàa (mis à jour périodiquement )
   'ERROR'
=> 'ERROR',
# ERRou
   'Edit Custom Role Privileges'
=> 'Edit Custom Role Privileges',
# éditer CusPourm rôle Privileges
   'End Time'
=> 'End Time',
# Fin/Finir Temps
   'Ending Date'
=> 'Ending Date',
# Fin/Finiring Dàe
   'Enroll One Student'
=> 'Enroll One Student',
# inscriRe One Etudiant(e)
   'Enroll as student'
=> 'Enroll as student',
# inscriRe as Etudiant(e)
   'Enrolling'
=> 'Enrolling',
# inscriReing
   'Enrolling Student'
=> 'Enrolling Student',
# inscriReing Etudiant(e)
   'Enter as many fields as you can. The system will inform you and bring you back to this page if the data selected is insufficient to enroll students in your class.'
=> 'Enter as many fields as you can. The system will inform you and bring you back to this page if the data selected is insufficient to enroll students in your class.',
# entRer as many Champss as you can. The Système will infoum you and bring you back Pour this Page if the dàa Sélectionezed is insufficient Pour inscriRe Etudiant(e)s in your class.
   'Enter terms or phrases separated by AND, OR, or NOT then press SEARCH below'
=> 'Enter terms or phrases separated by AND, OR, or NOT then press SEARCH below',
# entRer terms ou phrases separàed Par AND, ou, ou NonT Ensuite pRess cherchez below
   'Enter terms or phrases separated by search operators such as AND, OR, or NOT'
=> 'Enter terms or phrases separated by search operators such as AND, OR, or NOT',
# entRer terms ou phrases separàed Par cherchez operàous such as AND, ou, ou NonT
   'Entering Construction Space'
=> 'Entering Construction Space',
# entRering ConstructuReion espace
   'Error: Directory Non Empty'
=> 'Error: Directory Non Empty',
# Errou: DiRecPouruy Nonn Vide
   'Error: destination for operation is an existing directory.'
=> 'Error: destination for operation is an existing directory.',
# Errou: destinàion fou operàion is an existing diRecPouruy.
   'Essay, open end'
=> 'Essay, open end',
# Essay, Ouvrir Fin/Finir
   'Evaluation Error '
=> 'Evaluation Error ',
# Evaluàion Errou
   'Every problem in a particular folder (overrides course default)'
=> 'Every problem in a particular folder (overrides course default)',
# Every problème in a Partieieicular Dossier (overrides cours par Défaut )
   'Exam Problem'
=> 'Exam Problem',
# Exam problème
   'Excel format'
=> 'Excel format',
# Excel foumà
   'Exit'
=> 'Exit',
# sortir
   'Feedback Addresses for Course Content'
=> 'Feedback Addresses for Course Content',
# Feedback AddResses fou cours Content
   'Feedback Addresses for Course Content Comments'
=> 'Feedback Addresses for Course Content Comments',
# Feedback AddResses fou cours Content Comments
   'Feedback Addresses for Course Policy'
=> 'Feedback Addresses for Course Policy',
# Feedback AddResses fou cours Policy
   'Feedback Addresses for Resource Content Question'
=> 'Feedback Addresses for Resource Content Question',
# Feedback AddResses fou Ressource Content Question
   'Finish Helper'
=> 'Finish Helper',
# Finish Aideer
   'First'
=> 'First',

   'First Resource'
=> 'First Resource',
# First Ressource
   'Foil name <b><tt>[_1]</tt></b> appears more than once. Foil names need to be unique.'
=> 'Foil name <b><tt>[_1]</tt></b> appears more than once. Foil names need to be unique.',
# Alternative Nom <b><tt>[_1]</tt></b> appears moue than once. Alternative Noms need Pour be unique.
   'Folder/Map'
=> 'Folder/Map',
# Dossier/Carte/Séquence
   'For one or more students'
=> 'For one or more students',
# Fou one ou moue Etudiant(e)s
   'Found a <*response> outside of a <part> in a <part>ed problem'
=> 'Found a <*response> outside of a <part> in a <part>ed problem',
# Found a <*Response> outside de a <Partieie> in a <Partieie>ed problème
   'Found no analyzable respones in this problem, currently only Numerical, Formula and String response styles are supported.'
=> 'Found no analyzable respones in this problem, currently only Numerical, Formula and String response styles are supported.',
# Found Non analyzable Respones in this problème, Actuelly only Numerical, Foumula and String Response styles aRe svers le haut pouted.
   'Generate messages from a file'
=> 'Generate messages from a file',
# Generàe messages De a Fichier
   'Go'
=> 'Go',

   'Go to ...'
=> 'Go to ...',
# Go Pour ...
   'HTML can be allowed or banned inside of course discussion.'
=> 'HTML can be allowed or banned inside of course discussion.',
# HTML can be PouruPourMer ou banned inside de cours discussion.
   'HTML in Discussions'
=> 'HTML in Discussions',
# HTML in Discuss¦ons
   'Hand Graded (handgrade)'
=> 'Hand Graded (handgrade)',

   'Help on Creating Courses'
=> 'Help on Creating Courses',
# Aide on CReàing courss
   'Hide Empty Rows in Spreadsheets'
=> 'Hide Empty Rows in Spreadsheets',
# Cacher Vide Lignes in SpReadsheets
   'Home Server'
=> 'Home Server',
# Home Serveur
   'Homework problem'
=> 'Homework problem',
# Homewouk problème
   'How do I create a CSV file from a spreadsheet'
=> 'How do I create a CSV file from a spreadsheet',
# How do I créer a CSV Fichier De a spReadsheet
   'How do I create a class list from a spreadsheet'
=> 'How do I create a class list from a spreadsheet',
# How do I créer a class list De a spReadsheet
   'How many tries should be set for all problems in the course?'
=> 'How many tries should be set for all problems in the course?',
# How many NonmbRe d essai should be set fou Pourut problèmes in the cours?
   'How many tries should be set for the selected folder?'
=> 'How many tries should be set for the selected folder?',
# How many NonmbRe d essai should be set fou the Sélectionezed Dossier?
   'How many tries should be set for the selected problem?'
=> 'How many tries should be set for the selected problem?',
# How many NonmbRe d essai should be set fou the Sélectionezed problème?
   'How should the results be printed?'
=> 'How should the results be printed?',

   'Immediately expire own role as Course Coordinator'
=> 'Immediately expire own role as Course Coordinator',
# Immediàely expiRe own rôle as cours Cooudinàou
   'Import and Paste Area'
=> 'Import and Paste Area',
# Impout and Paste ARea
   'Include retrieval of student photographs?'
=> 'Include retrieval of student photographs?',
# Include Retrieval de Etudiant(e) phoPourgraphs?
   'Institutional Information'
=> 'Institutional Information',
# Institutional infoumàion
   'Invalid Significant figures detected'
=> 'Invalid Significant figures detected',

   'Invalid characters in requested name have been removed.'
=> 'Invalid characters in requested name have been removed.',
# Invalid characters in Requested Nom have been Removed.
   'Invalid login mode or password.'
=> 'Invalid login mode or password.',
# Invalid login mode ou passwoud.
   'Invalid username or domain'
=> 'Invalid username or domain',
# Invalid utilisàeurNom ou Domaine
   'KEYWORDS'
=> 'KEYWORDS',
# KEYWouDS
   'LON-CAPA has live chat functionality. This course will receive its own chat room. You may deny students, TAs, or instructors the right to access the chat room.'
=> 'LON-CAPA has live chat functionality. This course will receive its own chat room. You may deny students, TAs, or instructors the right to access the chat room.',
# LON-CAPA has live caUtiliSameurie functionality. This cours will Receive its own caUtiliSameurie room. You Mai deny Etudiant(e)s, TAs, ou instructuReous the right Pour access the caUtiliSameurie room.
   'LON-CAPA hosts discussions on all resources in a course. By default, all users are allowed to participate in these discussions. If you do not wish certain types of users to be able to use the discussion features, select those types below. Note your class may not have all of these roles; you may safely ignore roles you do not intend to use. (For instance, &quot;Exam Proctor&quot; is generally useful only for large courses.) Types of users not allowed to participate in discussion can still view any discussion that other users post.'
=> 'LON-CAPA hosts discussions on all resources in a course. By default, all users are allowed to participate in these discussions. If you do not wish certain types of users to be able to use the discussion features, select those types below. Note your class may not have all of these roles; you may safely ignore roles you do not intend to use. (For instance, &quot;Exam Proctor&quot; is generally useful only for large courses.) Types of users not allowed to participate in discussion can still view any discussion that other users post.',
# LON-CAPA Hôtes Discuss¦ons on Pourut Ressources in a cours. Par par Défaut , Pourut utilisàeurs aRe PouruPourMer Pour Partieieicipàe in these Discuss¦ons. If you do Nont wish certain Types de utilisàeurs Pour be able Pour use the discussion feàuRes, Sélectionez those Types below. Nonte your class Mai Nont have Pourut de these rôles; you Mai safely igNonue rôles you do Nont intFin/Finir Pour use. (Fou instance, &quot;Exam ProcPouru&quot; is génerPouruty useful only fou large courss.) Types de utilisàeurs Nont PouruPourMer Pour Partieieicipàe in discussion can still Visualiser any discussion thà other utilisàeurs post.
   'Languages used'
=> 'Languages used',
# langages used
   'Last'
=> 'Last',

   'Leave blank on scoring form'
=> 'Leave blank on scoring form',
# Leave blank on scouing foum
   'List Directory'
=> 'List Directory',
# List DiRecPouruy
   'List of hidden parts (hiddenparts)'
=> 'List of hidden parts (hiddenparts)',
# List de hidden Partieies (hiddenPartieies)
   'Location'
=> 'Location',
# Locàion
   'Login Data'
=> 'Login Data',
# Login Dàa
   'Logout'
=> 'Logout',

   'Mail'
=> 'Mail',

   'Make new directory'
=> 'Make new directory',
# Make new diRecPouruy
   'Make new file'
=> 'Make new file',
# Make new Fichier
   'Manual Grading'
=> 'Manual Grading',
# Manual Assigner des notes
   'Map has branchings. Use advanced editor.'
=> 'Map has branchings. Use advanced editor.',
# Carte/Séquence has branchings. Use advanced éditerou.
   'Map has conditions. Use advanced editor.'
=> 'Map has conditions. Use advanced editor.',
# Carte/Séquence has conditions. Use advanced éditerou.
   'Map has resource parameters. Use advanced editor.'
=> 'Map has resource parameters. Use advanced editor.',
# Carte/Séquence has Ressource parameters. Use advanced éditerou.
   'Map has unconnected resources. Use advanced editor.'
=> 'Map has unconnected resources. Use advanced editor.',
# Carte/Séquence has unconnected Ressources. Use advanced éditerou.
   'Maximum Number of Collaborators'
=> 'Maximum Number of Collaborators',
# Maximum Number de Collabouàous
   'Maximum Number of Collaborators (maxcollaborators)'
=> 'Maximum Number of Collaborators (maxcollaborators)',
# Maximum Number de Collabouàous (maxcollabouàous)
   'Maximum Number of Tries (maxtries)'
=> 'Maximum Number of Tries (maxtries)',
# Maximum Number de NonmbRe d essai (maxNonmbRe d essai)
   'Messaging'
=> 'Messaging',

   'Middle'
=> 'Middle',

   'Middle Name'
=> 'Middle Name',
# Middle Nom
   'Missing Kerberos domain information.'
=> 'Missing Kerberos domain information.',
# Missing Kerberos Domaine infoumàion.
   'Modification may make assessment data inaccessible'
=> 'Modification may make assessment data inaccessible',
# Modificàion Mai make Évaluation dàa inaccessible
   'Modify Enrollment for'
=> 'Modify Enrollment for',
# Modify inscriRement fou
   'Modify User'
=> 'Modify User',
# Modify utilisàeur
   'Modify another students data'
=> 'Modify another students data',
# Modify aNonther Etudiant(e)s dàa
   'Modify deadlines, etc, for this resource'
=> 'Modify deadlines, etc, for this resource',
# Modify Dates limites, etc, fou this Ressource
   'Modifying data for user'
=> 'Modifying data for user',
# Modifying dàa fou utilisàeur
   'Modifying this will make problems'
=> 'Modifying this will make problems',
# Modifying this will make problèmes
   'Move current file to'
=> 'Move current file to',
# Move Actuel Fichier Pour
   'Must create new subdirectory inside a directory'
=> 'Must create new subdirectory inside a directory',
# Must créer new subdiRecPouruy inside a diRecPouruy
   'Name of Role'
=> 'Name of Role',
# Nom de rôle
   'New Directory'
=> 'New Directory',
# New DiRecPouruy
   'New HTML file'
=> 'New HTML file',
# New HTML Fichier
   'New Resource'
=> 'New Resource',
# New Ressource
   'New Role'
=> 'New Role',
# New rôle
   'New User'
=> 'New User',
# New utilisàeur
   'New Value'
=> 'New Value',
# New Valeur
   'New assembled page'
=> 'New assembled page',

   'New assembled sequence'
=> 'New assembled sequence',
# New assembled séquence
   'New custom rights file'
=> 'New custom rights file',
# New cusPourm rights Fichier
   'New file'
=> 'New file',
# New Fichier
   'New problem'
=> 'New problem',
# New problème
   'New style file'
=> 'New style file',
# New style Fichier
   'New subdirectory'
=> 'New subdirectory',
# New subdiRecPouruy
   'Next ->'
=> 'Next ->',
# Prochain ->
   'No Access or Usages Statistics are available for this resource.'
=> 'No Access or Usages Statistics are available for this resource.',
# Non Access ou Usages Stàistics aRe available fou this Ressource.
   'No Assessment Statistical Data is available for this resource'
=> 'No Assessment Statistical Data is available for this resource',
# Non Évaluation Stàistical Dàa is available fou this Ressource
   'No Evaluation Data is available for this resource.'
=> 'No Evaluation Data is available for this resource.',
# Non Evaluàion Dàa is available fou this Ressource.
   'No new filename specified.'
=> 'No new filename specified.',
# Non new FichierNom specified.
   'No section assigned'
=> 'No section assigned',
# Non Section assigned
   'No such file'
=> 'No such file',
# Non such Fichier
   'Not Allowed'
=> 'Not Allowed',
# Nont PouruPourMer
   'Not open to be viewed'
=> 'Not open to be viewed',
# Nont Ouvrir Pour be VisualiseRed
   'Notification of enrollment changes'
=> 'Notification of enrollment changes',
# Nontificàion de inscriRement Changezs
   'Notification to course coordinator via LON-CAPA message when enrollment changes occur during the automated update?'
=> 'Notification to course coordinator via LON-CAPA message when enrollment changes occur during the automated update?',
# Nontificàion Pour cours cooudinàou via LON-CAPa.m.ssage when inscriRement Changezs occur during the auPourmàed vers le haut dàe?
   'Number of Tries before hints appear (hinttries)'
=> 'Number of Tries before hints appear (hinttries)',
# Number de NonmbRe d essai befoue hints appear (hintNonmbRe d essai)
   'Number of assignments printed at the same time:'
=> 'Number of assignments printed at the same time:',
# Number de assignments printed à the same Temps:
   'Number of bubbles in exam mode (numbubbles)'
=> 'Number of bubbles in exam mode (numbubbles)',
# Number de bubbles in exam mode (numbubbles)
   'Number of columns'
=> 'Number of columns',
# Number de Colonne s
   'Numerical Tolerance (tol)'
=> 'Numerical Tolerance (tol)',
# Numerical Pourlerance (Pourl)
   'Old Value'
=> 'Old Value',
# Old Valeur
   'Online Help'
=> 'Online Help',
# Online Aide
   'Only domain coordinators can change a users password.'
=> 'Only domain coordinators can change a users password.',
# Only Domaine cooudinàous can Changez a utilisàeurs passwoud.
   'Open Course'
=> 'Open Course',
# Ouvrir cours
   'Open all assessments'
=> 'Open all assessments',
# Ouvrir Pourut Évaluations
   'Open and correct'
=> 'Open and correct',
# Ouvrir and couRect
   'Open with full tries'
=> 'Open with full tries',
# Ouvrir with full NonmbRe d essai
   'Opening Date (contentopen)'
=> 'Opening Date (contentopen)',
# Ouvriring Dàe (contenPourpen)
   'Opening Date (opendate)'
=> 'Opening Date (opendate)',
# Ouvriring Dàe (Ouvrirdàe)
   'Output Format: [_1]'
=> 'Output Format: [_1]',
# Sortie Foumà: [_1]
   'Page layout'
=> 'Page layout',

   'Paper type'
=> 'Paper type',

   'Parameter'
=> 'Parameter',

   'Part Description (display)'
=> 'Part Description (display)',
# Partieie Description (Afficher)
   'Paste after selected'
=> 'Paste after selected',
# Paste after Sélectionezed
   'Personal Data'
=> 'Personal Data',
# Personal Dàa
   'Please adjust significant figures.'
=> 'Please adjust significant figures.',

   'Please choose the default authentication method to be used by new users added to this LON-CAPA domain by the automated enrollment process'
=> 'Please choose the default authentication method to be used by new users added to this LON-CAPA domain by the automated enrollment process',
# Please choisir the par Défaut  auEnsuiteticàion method Pour be used Par new utilisàeurs added Pour this LON-CAPA Domaine Par the auPourmàed inscriRement process
   'Please click Back on your browser and select another user, or '
=> 'Please click Back on your browser and select another user, or ',
# Please click Back on your bLigneser and Sélectionner unNonther utilisàeur, ou
   'Please contact your LON-CAPA administrator regarding this situation.'
=> 'Please contact your LON-CAPA administrator regarding this situation.',
# Please Contacter your LON-CAPA a.m.nistràou Regarding this situàion.
   'Please select an authentication mechanism'
=> 'Please select an authentication mechanism',
# Please Sélectionner unn auEnsuiteticàion mechanism
   'Please select the authentication mechanism'
=> 'Please select the authentication mechanism',
# Please Sélectionez the auEnsuiteticàion mechanism
   'Please select the section you wish to set the answer open date for:'
=> 'Please select the section you wish to set the answer open date for:',
# Please Sélectionez the Section you wish Pour set the Réponse Ouvrir dàe fou:
   'Please select the section you wish to set the due date for:'
=> 'Please select the section you wish to set the due date for:',
# Please Sélectionez the Section you wish Pour set the est dû  dàe fou:
   'Please select the section you wish to set the number of tries for:'
=> 'Please select the section you wish to set the number of tries for:',
# Please Sélectionez the Section you wish Pour set the number de NonmbRe d essai fou:
   'Please select the section you wish to set the opening date for:'
=> 'Please select the section you wish to set the opening date for:',
# Please Sélectionez the Section you wish Pour set the Ouvriring dàe fou:
   'Please select the section you wish to set the problem weight for:'
=> 'Please select the section you wish to set the problem weight for:',
# Please Sélectionez the Section you wish Pour set the problème weight fou:
   'Please select the student you wish to set the answer open date for:'
=> 'Please select the student you wish to set the answer open date for:',
# Please Sélectionez the Etudiant(e) you wish Pour set the Réponse Ouvrir dàe fou:
   'Please select the student you wish to set the due date for:'
=> 'Please select the student you wish to set the due date for:',
# Please Sélectionez the Etudiant(e) you wish Pour set the est dû  dàe fou:
   'Please select the student you wish to set the number of tries for:'
=> 'Please select the student you wish to set the number of tries for:',
# Please Sélectionez the Etudiant(e) you wish Pour set the number de NonmbRe d essai fou:
   'Please select the student you wish to set the opening date for:'
=> 'Please select the student you wish to set the opening date for:',
# Please Sélectionez the Etudiant(e) you wish Pour set the Ouvriring dàe fou:
   'Please select the student you wish to set the problem weight for:'
=> 'Please select the student you wish to set the problem weight for:',
# Please Sélectionez the Etudiant(e) you wish Pour set the problème weight fou:
   'Please stand by.'
=> 'Please stand by.',
# Please stand Par.
   'Please use browser "Back" button and pick a filename'
=> 'Please use browser "Back" button and pick a filename',
# Please use bLigneser "Back" butPourn and pick a FichierNom
   'Print'
=> 'Print',

   'Privileged users that should not be hidden on staff listings'
=> 'Privileged users that should not be hidden on staff listings',
# Privileged utilisàeurs thà should Nont be hidden on staff listings
   'Processed file'
=> 'Processed file',
# Processed Fichier
   'Publish this Resource'
=> 'Publish this Resource',
# Publier this Ressource
   'Question Type (type)'
=> 'Question Type (type)',
# Type de Question (Type)
   'Random seed for randomly picking number of resources (optional, only set if you know what you are doing) (randompickseed)'
=> 'Random seed for randomly picking number of resources (optional, only set if you know what you are doing) (randompickseed)',
# Random seed fou randomly picking number de Ressources (optional, only set if you kNonw whà you aRe doing) (randompickseed)
   'Randomization algorithm used'
=> 'Randomization algorithm used',
# Randomizàion algouithm used
   'Randomly pick number of resources (randompick)'
=> 'Randomly pick number of resources (randompick)',
# Randomly pick number de Ressources (randompick)
   'Reading results from [_1]'
=> 'Reading results from [_1]',
# Lisant résultats à Partieir de  [_1]
   'Receipt algorithm used'
=> 'Receipt algorithm used',
# Receipt algouithm used
   'Receiving results from [_1]'
=> 'Receiving results from [_1]',
# Receiving Results De [_1]
   'Recent'
=> 'Recent',

   'Rename current file to'
=> 'Rename current file to',
# ReNonmmer Actuel Fichier Pour
   'Report a Bug'
=> 'Report a Bug',
# Repout a Bug
   'Resource'
=> 'Resource',
# Ressource
   'Resource Differences'
=> 'Resource Differences',
# Ressource Differences
   'Resource Hidden from Students (hiddenresource)'
=> 'Resource Hidden from Students (hiddenresource)',
# Ressource Hidden De Etudiant(e)s (hiddenRessource)
   'Resource alias name for conditions (mapalias)'
=> 'Resource alias name for conditions (mapalias)',
# Ressource alias Nom fou conditions (Carte/Séquencealias)
   'Resources'
=> 'Resources',
# Ressources
   'Response'
=> 'Response',

   'Retrieve Old Version'
=> 'Retrieve Old Version',
# RestauRer Old Version
   'Return to DOCS'
=> 'Return to DOCS',
# Return Pour documents
   'Reverse Association'
=> 'Reverse Association',
# Reverse Associàion
   'Revoke'
=> 'Revoke',

   'Revoke Existing Roles'
=> 'Revoke Existing Roles',
# Revoke Existing rôles
   'Role'
=> 'Role',
# rôle
   'Role Information'
=> 'Role Information',
# rôle infoumàion
   'Save entries below as a draft answer (not submitting them for credit yet)'
=> 'Save entries below as a draft answer (not submitting them for credit yet)',
# EnRegistRer enNonmbRe d essai below as a draft Réponse (Nont SoumettReting them fou créditer yet)
   'Search Complete [_1]'
=> 'Search Complete [_1]',
# cherchez Complete [_1]
   'Search: [_1]'
=> 'Search: [_1]',
# cherchez: [_1]
   'Select Action'
=> 'Select Action',
# Sélectionner unction
   'Select All Files'
=> 'Select All Files',
# Sélectionez Pourut Fichiers
   'Select All Published'
=> 'Select All Published',
# Sélectionez Pourut Publié(e)
   'Select All Resources'
=> 'Select All Resources',
# Sélectionez Pourut Ressources
   'Select Folder'
=> 'Select Folder',
# Sélectionez Dossier
   'Select Only Current Students'
=> 'Select Only Current Students',
# Sélectionez Only Actuel Etudiant(e)s
   'Select Problem'
=> 'Select Problem',
# Sélectionez problème
   'Select Problem(s) to print'
=> 'Select Problem(s) to print',
# Sélectionez problème(s) Pour print
   'Select Resource(s) to print'
=> 'Select Resource(s) to print',
# Sélectionez Ressource(s) Pour print
   'Select Resources To Print'
=> 'Select Resources To Print',
# Sélectionez Ressources Pour Print
   'Select Section'
=> 'Select Section',
# Sélectionez Section
   'Select Sequence To Print From'
=> 'Select Sequence To Print From',
# Sélectionez séquence Pour Print De
   'Select Student'
=> 'Select Student',
# Sélectionez Etudiant(e)
   'Select Students and Resources'
=> 'Select Students and Resources',
# Sélectionez Etudiant(e)s and Ressources
   'Select Style File'
=> 'Select Style File',
# Sélectionez Style Fichier
   'Select a user name to modify the students information'
=> 'Select a user name to modify the students information',
# Sélectionner un utilisàeur Nom Pour modify the Etudiant(e)s infoumàion
   'Select a user name to view the users personal page.'
=> 'Select a user name to view the users personal page.',
# Sélectionner un utilisàeur Nom Pour Visualiser the utilisàeurs personal Page.
   'Select for Section/Group'
=> 'Select for Section/Group',
# Sélectionez fou Section/Grovers le haut
   'Select resources for the assignment'
=> 'Select resources for the assignment',
# Sélectionez Ressources fou the assignment
   'Select the folder you wish to set the parameter for:'
=> 'Select the folder you wish to set the parameter for:',
# Sélectionez the Dossier you wish Pour set the parameter fou:
   'Select the problem you wish to set the parameter for:'
=> 'Select the problem you wish to set the parameter for:',
# Sélectionez the problème you wish Pour set the parameter fou:
   'Set'
=> 'Set',

   'Set Course Environment'
=> 'Set Course Environment',
# Set cours Environment
   'Set End Date'
=> 'Set End Date',
# Set Fin/Finir Dàe
   'Set Individual User Roles'
=> 'Set Individual User Roles',
# Set Individual utilisàeur rôles
   'Set Problem Tries'
=> 'Set Problem Tries',
# Set problème NonmbRe d essai
   'Set Problem Weight'
=> 'Set Problem Weight',
# Set problème Weight
   'Set Start Date'
=> 'Set Start Date',
# Set Début/Commencez Dàe
   'Set answer open date for all problems in the course for ...'
=> 'Set answer open date for all problems in the course for ...',
# Set Réponse Ouvrir dàe fou Pourut problèmes in the cours fou ...
   'Set answer open date for the selected folder for ...'
=> 'Set answer open date for the selected folder for ...',
# Set Réponse Ouvrir dàe fou the Sélectionezed Dossier fou ...
   'Set answer open date for the selected problem for ...'
=> 'Set answer open date for the selected problem for ...',
# Set Réponse Ouvrir dàe fou the Sélectionezed problème fou ...
   'Set content feedback to Course Coordinator'
=> 'Set content feedback to Course Coordinator',
# Set content feedback Pour cours Cooudinàou
   'Set course policy feedback to Course Coordinator'
=> 'Set course policy feedback to Course Coordinator',
# Set cours policy feedback Pour cours Cooudinàou
   'Set due date for all problems in the course for ...'
=> 'Set due date for all problems in the course for ...',
# Set est dû  dàe fou Pourut problèmes in the cours fou ...
   'Set due date for the selected folder for ...'
=> 'Set due date for the selected folder for ...',
# Set est dû  dàe fou the Sélectionezed Dossier fou ...
   'Set due date for the selected problem for ...'
=> 'Set due date for the selected problem for ...',
# Set est dû  dàe fou the Sélectionezed problème fou ...
   'Set number of tries for all problems in the course for ...'
=> 'Set number of tries for all problems in the course for ...',
# Set number de NonmbRe d essai fou Pourut problèmes in the cours fou ...
   'Set number of tries for the selected folder for ...'
=> 'Set number of tries for the selected folder for ...',
# Set number de NonmbRe d essai fou the Sélectionezed Dossier fou ...
   'Set number of tries for the selected problem for ...'
=> 'Set number of tries for the selected problem for ...',
# Set number de NonmbRe d essai fou the Sélectionezed problème fou ...
   'Set opening date for all problems in the course for ...'
=> 'Set opening date for all problems in the course for ...',
# Set Ouvriring dàe fou Pourut problèmes in the cours fou ...
   'Set opening date for the selected folder for ...'
=> 'Set opening date for the selected folder for ...',
# Set Ouvriring dàe fou the Sélectionezed Dossier fou ...
   'Set opening date for the selected problem for ...'
=> 'Set opening date for the selected problem for ...',
# Set Ouvriring dàe fou the Sélectionezed problème fou ...
   'Set opening datefor all problems in the course for. . .'
=> 'Set opening datefor all problems in the course for. . .',
# Set Ouvriring dàefou Pourut problèmes in the cours fou. . .
   'Set problem weight for all problems in the course for ...'
=> 'Set problem weight for all problems in the course for ...',
# Set problème weight fou Pourut problèmes in the cours fou ...
   'Set problem weight for the selected folder for ...'
=> 'Set problem weight for the selected folder for ...',
# Set problème weight fou the Sélectionezed Dossier fou ...
   'Set problem weight for the selected problem for ...'
=> 'Set problem weight for the selected problem for ...',
# Set problème weight fou the Sélectionezed problème fou ...
   'Set to ...'
=> 'Set to ...',
# Set Pour ...
   'Set value to "[_1]" to allow'
=> 'Set value to "[_1]" to allow',
# Set Valeur Pour "[_1]" Pour PouruPourw
   'Setting the [_1]'
=> 'Setting the [_1]',

   'Setting the [_1] to [_2]'
=> 'Setting the [_1] to [_2]',
# Setting the [_1] Pour [_2]
   'Show Answer'
=> 'Show Answer',
# Show Réponse
   'Show Feedback'
=> 'Show Feedback',

   'Show Problem Status (problemstatus)'
=> 'Show Problem Status (problemstatus)',
# Show problème Stàus (problèmestàus)
   'Show Units - Disable Entry (turnoffunit)'
=> 'Show Units - Disable Entry (turnoffunit)',
# Show Units - Disable Entry (turndefunit)
   'Significant Digits (sig)'
=> 'Significant Digits (sig)',

   'Simple Edit'
=> 'Simple Edit',
# Simple éditer
   'Some items were not submitted'
=> 'Some items were not submitted',
# Some items weRe Nont SoumettReted
   'Start Time'
=> 'Start Time',
# Début/Commencez Temps
   "Start each student's assignment on a new page/column (add a pagefeed after each assignment)"
=> "Start each student's assignment on a new page/column (add a pagefeed after each assignment)",
# Début/Commencez each Etudiant(e)'s assignment on a new Page/Colonne  (add a Pagefeed after each assignment)
   'Starting Date'
=> 'Starting Date',
# Commençant Dàe
   'Student ID'
=> 'Student ID',
# Etudiant(e) ID
   'Student Information'
=> 'Student Information',
# Etudiant(e) infoumàion
   'Student Name'
=> 'Student Name',
# Etudiant(e) Nom
   'Student Status'
=> 'Student Status',
# Etudiant(e) Stàus
   'Student Status: [_1]'
=> 'Student Status: [_1]',
# Etudiant(e) Stàus: [_1]
   'Student information updated successfully.'
=> 'Student information updated successfully.',
# Etudiant(e) infoumàion vers le haut dàed successfully.
   'Students need access key to enter course'
=> 'Students need access key to enter course',
# Etudiant(e)s need access key Pour entRer cours
   'Students with expired roles'
=> 'Students with expired roles',
# Etudiant(e)s with expiRed rôles
   'Subject:'
=> 'Subject:',
# sujet:
   'Submissions'
=> 'Submissions',
# Submiss¦ons
   'Submit Modifications'
=> 'Submit Modifications',
# SoumettRe Modificàions
   'Submit entries below as answer to receive credit'
=> 'Submit entries below as answer to receive credit',
# SoumettRe enNonmbRe d essai below as Réponse Pour Receive créditer
   'Survey Question'
=> 'Survey Question',

   'Swedish Chef'
=> 'Swedish Chef',
# SMerish Chef
   'System Level'
=> 'System Level',
# Système Level
   'Target Edit Map'
=> 'Target Edit Map',
# Cible éditer Carte/Séquence
   'TeX unconverted due to errors'
=> 'TeX unconverted due to errors',
# TeX unconverted est dû  Pour errous
   'TeX unconverted due to previous errors'
=> 'TeX unconverted due to previous errors',
# TeX unconverted est dû  Pour Précédent errous
   'The &quot;Course Description&quot; is the name of the course that will be seen by the students. You may now modify the description and hit &quot;Next -&gt;&quot; to continue.'
=> 'The &quot;Course Description&quot; is the name of the course that will be seen by the students. You may now modify the description and hit &quot;Next -&gt;&quot; to continue.',
# The &quot;cours Description&quot; is the Nom de the cours thà will be seen Par the Etudiant(e)s. You Mai Nonw modify the description and hit &quot;Prochain -&gt;&quot; Pour continue.
   'The error reported was'
=> 'The error reported was',
# The errou Repouted was
   'The following entries will be used to identify the course according to the naming scheme adopted by your institution. Your choices will be used to map an internal LON-CAPA course ID to the corresponding course section ID(s) used by the office responsible for providing official class lists for courses at your institution. This mapping is required if you choose to employ automatic population of class lists.'
=> 'The following entries will be used to identify the course according to the naming scheme adopted by your institution. Your choices will be used to map an internal LON-CAPA course ID to the corresponding course section ID(s) used by the office responsible for providing official class lists for courses at your institution. This mapping is required if you choose to employ automatic population of class lists.',
# The following enNonmbRe d essai will be used Pour identify the cours accouding Pour the naming scheme adopted Par your institution. Your choices will be used Pour Carte/Séquence an internal LON-CAPA cours ID Pour the couResponding cours Section ID(s) used Par the defice Responsible fou providing deficial class lists fou courss à your institution. This Carte/Séquenceping is RequiRed if you choisir Pour employ auPourmàic populàion de class lists.
   "The following settings control automatic enrollment of students in this class based on information available for this specific course from your institution's official classlists."
=> "The following settings control automatic enrollment of students in this class based on information available for this specific course from your institution's official classlists.",
# The following settings control auPourmàic inscriRement de Etudiant(e)s in this class based on infoumàion available fou this specific cours De your institution's deficial classlists.
   'The question can not be gotten correct, the following foils in the &lt;optionresponse&gt; have invalid correct options'
=> 'The question can not be gotten correct, the following foils in the &lt;optionresponse&gt; have invalid correct options',
# The question can Nont be gotten couRect, the following Alternatives in the &lt;optionResponse&gt; have invalid couRect options
   'The requested file'
=> 'The requested file',
# The Requested Fichier
   'The student must log out and log in again to see these changes.'
=> 'The student must log out and log in again to see these changes.',
# The Etudiant(e) must log out and Se connecter de Nonuveau Pour see these Changezs.
   'There are currently no Error Messages for this resource.'
=> 'There are currently no Error Messages for this resource.',
# TheRe aRe Actuelly Non Errou Messages fou this Ressource.
   'There are no Evaluation Comments on this resource.'
=> 'There are no Evaluation Comments on this resource.',
# TheRe aRe Non Evaluàion Comments on this Ressource.
   'There are no currently enrolled students in the course.'
=> 'There are no currently enrolled students in the course.',
# TheRe aRe Non Actuelly inscriReed Etudiant(e)s in the cours.
   'There are no currently enrolled students in the selected sections.'
=> 'There are no currently enrolled students in the selected sections.',
# TheRe aRe Non Actuelly inscriReed Etudiant(e)s in the Sélectionezed Sections.
   'There are no previously enrolled students in the course.'
=> 'There are no previously enrolled students in the course.',
# TheRe aRe Non Précédently inscriReed Etudiant(e)s in the cours.
   'There are no previously enrolled students in the selected sections.'
=> 'There are no previously enrolled students in the selected sections.',
# TheRe aRe Non Précédently inscriReed Etudiant(e)s in the Sélectionezed Sections.
   'There are no students in the course.'
=> 'There are no students in the course.',
# TheRe aRe Non Etudiant(e)s in the cours.
   'There are no students in the selected sections.'
=> 'There are no students in the selected sections.',
# TheRe aRe Non Etudiant(e)s in the Sélectionezed Sections.
   'There was an error determining the environment values for'
=> 'There was an error determining the environment values for',
# TheRe was an errou determining the environment Valeurs fou
   'This controls how receipt numbers are generated.'
=> 'This controls how receipt numbers are generated.',
# This controls how Receipt numbers aRe generàed.
   'This helper will set up your LON-CAPA course and choose which features will be active.'
=> 'This helper will set up your LON-CAPA course and choose which features will be active.',
# This Aideer will set vers le haut  your LON-CAPA cours and choisir which feàuRes will be active.
   'To create a new'
=> 'To create a new',
# Pour créer a new
   'Top Level Map'
=> 'Top Level Map',
# Pourp Level Carte/Séquence
   'Type Name Here'
=> 'Type Name Here',
# Type Nom HeRe
   'Type-in value'
=> 'Type-in value',
# Type-in Valeur
   'UNDISPLAYABLE'
=> 'UNDISPLAYABLE',
# UNAfficherABLE
   'Unable to enroll'
=> 'Unable to enroll',
# Unable Pour inscriRe
   'Unable to publish file, it contains duplicated ID(s), ID(s) need to be unique. The duplicated ID(s) are'
=> 'Unable to publish file, it contains duplicated ID(s), ID(s) need to be unique. The duplicated ID(s) are',
# Unable Pour Publier Fichier, it contains dvers le haut licàed ID(s), ID(s) need Pour be unique. The dvers le haut licàed ID(s) aRe
   'Unable to retrieve environment data for'
=> 'Unable to retrieve environment data for',
# Unable Pour RestauRer environment dàa fou
   'Unable to set default dates for course'
=> 'Unable to set default dates for course',
# Unable Pour set par Défaut  dàes fou cours
   'Unavailable course'
=> 'Unavailable course',
# Unavailable cours
   'Unknown Action'
=> 'Unknown Action',
# UnkNonwn Action
   'Unselect All Files'
=> 'Unselect All Files',
# UnSélectionez Pourut Fichiers
   'Unselect All Published'
=> 'Unselect All Published',
# UnSélectionez Pourut Publié(e)
   'Unselect All Resources'
=> 'Unselect All Resources',
# UnSélectionez Pourut Ressources
   'Unselect for Section/Group'
=> 'Unselect for Section/Group',
# UnSélectionez fou Section/Grovers le haut
   'Upload file'
=> 'Upload file',
# vers le haut Charge du Serveur Fichier
   'VIEW'
=> 'VIEW',
# Visualiser
   'View the FAQ'
=> 'View the FAQ',
# Visualiser the FAQ
   'Visibly Separate Items on Pages'
=> 'Visibly Separate Items on Pages',
# Visibly Separàe Items on Pages
   'WARNING: The metadata table does not exist in the LON-CAPA database.'
=> 'WARNING: The metadata table does not exist in the LON-CAPA database.',
# WARNING: The metadàa table does Nont exist in the LON-CAPA dàabase.
   'Warning: change of MIME type!'
=> 'Warning: change of MIME type!',
# Warning: Changez de Type Mime!
   'Warning: target file exists!'
=> 'Warning: target file exists!',
# Warning: Cible Fichier exists!
   'Warning: target file exists, and has been published!'
=> 'Warning: target file exists, and has been published!',
# Warning: Cible Fichier exists, and has been Publié(e)!
   'Weight (weight)'
=> 'Weight (weight)',

   'Welcome to Your New LON-CAPA Course'
=> 'Welcome to Your New LON-CAPA Course',
# Bienvenue Pour Your New LON-CAPA cours
   'What parameter do you want to set for the selected folder?'
=> 'What parameter do you want to set for the selected folder?',
# Whà parameter do you want Pour set fou the Sélectionezed Dossier?
   'What parameter do you want to set for the selected problem?'
=> 'What parameter do you want to set for the selected problem?',
# Whà parameter do you want Pour set fou the Sélectionezed problème?
   'What should the answer open date be set to?'
=> 'What should the answer open date be set to?',
# Whà should the Réponse Ouvrir dàe be set Pour?
   'What should the due date be set to?'
=> 'What should the due date be set to?',
# Whà should the est dû  dàe be set Pour?
   'What weight should be set for all problems in the course?'
=> 'What weight should be set for all problems in the course?',
# Whà weight should be set fou Pourut problèmes in the cours?
   'What weight should be set for the selected folder?'
=> 'What weight should be set for the selected folder?',
# Whà weight should be set fou the Sélectionezed Dossier?
   'What weight should be set for the selected problem?'
=> 'What weight should be set for the selected problem?',
# Whà weight should be set fou the Sélectionezed problème?
   'Width'
=> 'Width',

   'You are working with an unsaved version of your map.'
=> 'You are working with an unsaved version of your map.',
# You aRe wouking with an unEnRegistRerd Version de your Carte/Séquence.
   'You changed the students id but did not disable the ID change safeguard. The students id will not be changed.'
=> 'You changed the students id but did not disable the ID change safeguard. The students id will not be changed.',
# You Changezd the Etudiant(e)s id but did Nont disable the ID Changez safeguard. The Etudiant(e)s id will Nont be Changezd.
   'Your course is now set up. Please select the Finish Course Initialization button to re-intialize the course with your chosen settings. Remember that all of these settings can be modified in the PARMS screen, by pushing the Course Environment button.'
=> 'Your course is now set up. Please select the Finish Course Initialization button to re-intialize the course with your chosen settings. Remember that all of these settings can be modified in the PARMS screen, by pushing the Course Environment button.',
# Your cours is Nonw set vers le haut . Please Sélectionez the Finish cours Initializàion butPourn Pour Re-intialize the cours with your chosen settings. Remember thà Pourut de these settings can be Modifié(e) in the paramètRes scReen, Par pushing the cours Environment butPourn.
   'Your request to change the role information for this student was refused. You do not appear to have sufficient authority to change student information.'
=> 'Your request to change the role information for this student was refused. You do not appear to have sufficient authority to change student information.',
# Your Request Pour Changez the rôle infoumàion fou this Etudiant(e) was Refused. You do Nont appear Pour have sufficient authouity Pour Changez Etudiant(e) infoumàion.
   '[_1] (what you just saw on the screen)'
=> '[_1] (what you just saw on the screen)',
# [_1] (whà you just saw on the scReen)
   '[_1] Local Authentication with argument [_2]'
=> '[_1] Local Authentication with argument [_2]',
# [_1] Local AuEnsuiteticàion with argument [_2]
   '[_1] Records per Page'
=> '[_1] Records per Page',
# [_1] Recouds Par Page
   '[_1] minutes'
=> '[_1] minutes',

   '[_1] minutes, [_2] seconds'
=> '[_1] minutes, [_2] seconds',
# [_1] minutes, [_2] secondees
   '[_1] with value [_2]'
=> '[_1] with value [_2]',
# [_1] with Valeur [_2]
   '[_1]prev[_2] &nbsp; [_3]reload[_4] &nbsp; [_5]next[_6]'
=> '[_1]prev[_2] &nbsp; [_3]reload[_4] &nbsp; [_5]next[_6]',
# [_1]pRev[_2] &nbsp; [_3]ReCharge du Serveur[_4] &nbsp; [_5]Prochain[_6]
   '[_1]prev[_2] &nbsp; [_3]reload[_4] &nbsp; next'
=> '[_1]prev[_2] &nbsp; [_3]reload[_4] &nbsp; next',
# [_1]pRev[_2] &nbsp; [_3]ReCharge du Serveur[_4] &nbsp; Prochain
   '[_2] seconds'
=> '[_2] seconds',
# [_2] secondees
   'a comma separated list of course sections crosslisted with the current course, with each entry including the institutional course section name followed by a colon and then the (optional) groupID to be used in LON-CAPA, e.g., fs03ent231001:ent1,fs03bot231001:bot1,fs03zol231002:bot2'
=> 'a comma separated list of course sections crosslisted with the current course, with each entry including the institutional course section name followed by a colon and then the (optional) groupID to be used in LON-CAPA, e.g., fs03ent231001:ent1,fs03bot231001:bot1,fs03zol231002:bot2',
# a comma separàed list de cours Sections crosslisted with the Actuel cours, with each entry including the institutional cours Section Nom folloMer Par a colon and Ensuite the (optional) grovers le haut ID Pour be used in LON-CAPA, e.g., fs03ent231001:ent1,fs03bot231001:bot1,fs03zol231002:bot2
   'a comma separated list of institutional section numbers, each separated by a colon from the (optional) corresponding section/group ID to be used in LON-CAPA e.g., 001:1,002:2'
=> 'a comma separated list of institutional section numbers, each separated by a colon from the (optional) corresponding section/group ID to be used in LON-CAPA e.g., 001:1,002:2',
# a comma separàed list de institutional Section numbers, each separàed Par a colon De the (optional) couResponding Section/grovers le haut  ID Pour be used in LON-CAPA e.g., 001:1,002:2
   'after selected'
=> 'after selected',
# after Sélectionezed
   'all resources in the course'
=> 'all resources in the course',
# Pourut Ressources in the cours
   'all students in course'
=> 'all students in course',
# Pourut Etudiant(e)s dans le Cours
   'and'
=> 'and',

   'anno-'
=> 'anno-',
# anNon-
   'anonymous students'
=> 'anonymous students',
# aNonnyme Etudiant(e)s
   'answer date'
=> 'answer date',
# Réponse dàe
   'backward'
=> 'backward',

   'between'
=> 'between',

   'bookmark'
=> 'bookmark',

   'button'
=> 'button',
# butPourn
   'by'
=> 'by',
# Par
   'catalog'
=> 'catalog',
# càalog
   'changes will not show until next login'
=> 'changes will not show until next login',
# Changezs will Nont show until Prochain login
   'check all'
=> 'check all',
# check Pourut
   'chmod error'
=> 'chmod error',
# chmod errou
   'click on the'
=> 'click on the',

   'co con-'
=> 'co con-',
# co construction-
   'co res'
=> 'co res',

   'contacting [_1]'
=> 'contacting [_1]',
# entrant en Contacter [_1]
   'copy Error'
=> 'copy Error',
# copy Errou
   'currently does not exist'
=> 'currently does not exist',
# Actuelly does Nont exist
   'custom'
=> 'custom',
# cusPourm
   'customdistributionfile'
=> 'customdistributionfile',
# cusPourmdistributionFichier
   'discuss'
=> 'discuss',

   'domain'
=> 'domain',
# Domaine
   'due date'
=> 'due date',
# est dû  dàe
   'edit crs'
=> 'edit crs',
# éditer crs
   'evaluate'
=> 'evaluate',
# evaluàe
   'expired or revoked'
=> 'expired or revoked',
# expiRed ou Revoked
   'extension'
=> 'extension',

   'external'
=> 'external',

   'feedback'
=> 'feedback',

   'first name'
=> 'first name',
# first Nom
   'for'
=> 'for',
# fou
   'for <b>all resources in the course</b>'
=> 'for <b>all resources in the course</b>',
# fou <b>Pourut Ressources in the cours</b>
   'for <b>all students in course</b>'
=> 'for <b>all students in course</b>',
# fou <b>Pourut Etudiant(e)s dans le Cours</b>
   'for [_1]'
=> 'for [_1]',
# fou [_1]
   'for section [_1]'
=> 'for section [_1]',
# fou Section [_1]
   'for the map named [_1]'
=> 'for the map named [_1]',
# fou the Carte/Séquence Nomd [_1]
   'for the resource named [_1]'
=> 'for the resource named [_1]',
# fou the Ressource Nomd [_1]
   'for visible separation'
=> 'for visible separation',
# fou visible separàion
   'forward'
=> 'forward',
# fouward
   'from'
=> 'from',
# De
   'from current subdirectory'
=> 'from current subdirectory',
# De Actuel subdiRecPouruy
   'generation'
=> 'generation',
# generàion
   'have different numbers and answers'
=> 'have different numbers and answers',
# have diffeRent numbers and Réponses
   'helper'
=> 'helper',
# Aideer
   'in'
=> 'in',

   'in domain'
=> 'in domain',
# in Domaine
   'instructor'
=> 'instructor',
# instructuReou
   'internal'
=> 'internal',

   'is in this state by royal decree.'
=> 'is in this state by royal decree.',
# is in this stàe Par royal decRee.
   'is ready for download'
=> 'is ready for download',
# is Ready fou downCharge du Serveur
   'last name'
=> 'last name',
# last Nom
   'make these dates the default for future enrollment'
=> 'make these dates the default for future enrollment',
# make these dàes the par Défaut  fou futuRe inscriRement
   'middle name'
=> 'middle name',
# middle Nom
   'name'
=> 'name',
# Nom
   'no ending date'
=> 'no ending date',
# Non Fin/Finiring dàe
   'number'
=> 'number',

   'number of tries'
=> 'number of tries',
# number de NonmbRe d essai
   'obsoletereplacement'
=> 'obsoletereplacement',
# désuetReplacement
   'only check if you know what you are doing'
=> 'only check if you know what you are doing',
# only check if you kNonw whà you aRe doing
   'only search domain'
=> 'only search domain',
# only cherchez Domaine
   'opening date'
=> 'opening date',
# Ouvriring dàe
   'optional'
=> 'optional',

   'or any other value'
=> 'or any other value',
# ou any other Valeur
   'prev &nbsp; [_3]reload[_4] &nbsp; [_5]next[_6]'
=> 'prev &nbsp; [_3]reload[_4] &nbsp; [_5]next[_6]',
# pRev &nbsp; [_3]ReCharge du Serveur[_4] &nbsp; [_5]Prochain[_6]
   'private'
=> 'private',
# privàe
   'problem weight'
=> 'problem weight',
# problème weight
   'public'
=> 'public',

   'role,role,...'
=> 'role,role,...',
# rôle,rôle,...
   'section'
=> 'section',

   'selected students'
=> 'selected students',
# Sélectionezed Etudiant(e)s
   'set'
=> 'set',

   'spellcheck_lang'
=> 'spellcheck_lang',

   'standard'
=> 'standard',

   'standard courses only'
=> 'standard courses only',
# standard courss only
   'student'
=> 'student',
# Etudiant(e)
   'student name'
=> 'student name',
# Etudiant(e) Nom
   'tations'
=> 'tations',
# tàions
   'template'
=> 'template',
# templàe
   'this'
=> 'this',

   'to'
=> 'to',
# Pour
   'to [_1] ([_2])'
=> 'to [_1] ([_2])',
# Pour [_1] ([_2])
   'to interface with institutional data, e.g., fs03glg231 for Fall 2003 Geology 231'
=> 'to interface with institutional data, e.g., fs03glg231 for Fall 2003 Geology 231',
# Pour interface with institutional dàa, e.g., fs03glg231 fou FPourut 2003 Geology 231
   'unable to enroll'
=> 'unable to enroll',
# unable Pour inscriRe
   'uncheck all'
=> 'uncheck all',
# uncheck Pourut
   'use related words'
=> 'use related words',
# use Relàed wouds
   'username'
=> 'username',
# utilisàeurNom
   'versus'
=> 'versus',

   'waiting on [_1]'
=> 'waiting on [_1]',
# àtFin/Finirant [_1]
   'what you just saw on the screen'
=> 'what you just saw on the screen',
# whà you just saw on the scReen
   'with server'
=> 'with server',
# with Serveur
   'yes'
=> 'yes',
# Oui


#SYNC Tue Aug 15 14:43:21 2006
   'Enter my portfolio space'
=> 'Enter my portfolio space',
# entRer Lun/ma.m.s poutfolio espace
   'No syllabus information provided.'
=> 'No syllabus information provided.',
# Non Programmes d études infoumàion provided.
   'Post Discussion'
=> 'Post Discussion',

   'Sorry ...'
=> 'Sorry ...',
# Soury ...
   'This resource might be part of another course.'
=> 'This resource might be part of another course.',
# this Ressource might be Partieie de aNonther cours.


#SYNC Tue Aug 15 16:12:11 2006
   'Agree'
=> 'Agree',

   'Any comments? '
=> 'Any comments? ',

   'Copy this column'
=> 'Copy this column',
# Copy this Colonne
   'Disagree'
=> 'Disagree',

   'General Intro'
=> 'General Intro',
# géneral intro
   'Greek Symbols'
=> 'Greek Symbols',

   'HTML character enties'
=> 'HTML character enties',

   'Highest Grade Level'
=> 'Highest Grade Level',

   'If you are viewing this online, copy and paste the text from any of the right columns into your text area to get the symbol on the left.'
=> 'If you are viewing this online, copy and paste the text from any of the right columns into your text area to get the symbol on the left.',
# If you aRe Visualisering this online, copy and paste the Texte De any de the right Colonne s inPour your Texte aRea Pour get the symbol on the left.
   'LON-CAPA Help'
=> 'LON-CAPA Help',
# LON-CAPA Aide
   'Landscape'
=> 'Landscape',

   'Launch navigation window'
=> 'Launch navigation window',
# Launch navigàion window
   'Lowest Grade Level'
=> 'Lowest Grade Level',

   'Mark all posts read'
=> 'Mark all posts read',
# Mark Pourut posts Read
   'My question/comment/feedback:'
=> 'My question/comment/feedback:',
# Lun/ma.m.s question/comment/feedback:
   'Not set -'
=> 'Not set -',
# Nont Set -
   'Other Symbols'
=> 'Other Symbols',

   'Please check at least one of the following feedback types:'
=> 'Please check at least one of the following feedback types:',
# Please check à least one de the following feedback Types:
   'Please rank the following criteria:'
=> 'Please rank the following criteria:',

   'Portrait'
=> 'Portrait',
# Poutrait
   'Question about resource content'
=> 'Question about resource content',
# Question about Ressource content
   'Question/Comment/Feedback about course policy'
=> 'Question/Comment/Feedback about course policy',
# Question/Comment/feedback about cours policy
   'Select a Course to Enter'
=> 'Select a Course to Enter',
# Sélectionner un cours Pour entRer
   'Sending Messages'
=> 'Sending Messages',
# SFin/Finiring Messages
   'Show Me My First Homework Problem'
=> 'Show Me My First Homework Problem',
# Show Me Lun/ma.m.s First Homewouk problème
   'Standards'
=> 'Standards',

   'Strongly Agree'
=> 'Strongly Agree',

   'Strongly Disagree'
=> 'Strongly Disagree',

   'Symbol'
=> 'Symbol',

   'The material appears to be correct '
=> 'The material appears to be correct ',
# The màerial appears Pour be couRect
   'The material is helpful '
=> 'The material is helpful ',
# The màerial is Aideful
   'The material is presented in a clear way '
=> 'The material is presented in a clear way ',
# The màerial is pResented in a clear way
   'The resource is technically correct (loads fast enough, does not produce errors, links work, etc) '
=> 'The resource is technically correct (loads fast enough, does not produce errors, links work, etc) ',
# The Ressource is technicPouruty couRect (Charge du Serveurs fast eNonugh, does Nont produce errous, links wouk, etc)


#SYNC Tue Aug 15 18:55:42 2006


#SYNC Fri Aug 18 20:46:55 2006
   'HTML character entities'
=> 'HTML character entities',


#SYNCMARKER
);

1;
